commit cross-armv5el-gcc-icecream-backend for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package cross-armv5el-gcc-icecream-backend 
for openSUSE:Factory checked in at 2012-03-19 09:37:32

Comparing /work/SRC/openSUSE:Factory/cross-armv5el-gcc-icecream-backend (Old)
 and  /work/SRC/openSUSE:Factory/.cross-armv5el-gcc-icecream-backend.new 
(New)


Package is cross-armv5el-gcc-icecream-backend, Maintainer is 

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _link



Other differences:
--
++ _link ++
link package=gcc46 cicount=copy /
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gcc47-testresults for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package gcc47-testresults for 
openSUSE:Factory checked in at 2012-03-19 09:38:36

Comparing /work/SRC/openSUSE:Factory/gcc47-testresults (Old)
 and  /work/SRC/openSUSE:Factory/.gcc47-testresults.new (New)


Package is gcc47-testresults, Maintainer is 

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _link



Other differences:
--
++ _link ++
link package=gcc47 cicount=copy /
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgcj47 for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libgcj47 for openSUSE:Factory 
checked in at 2012-03-19 09:39:12

Comparing /work/SRC/openSUSE:Factory/libgcj47 (Old)
 and  /work/SRC/openSUSE:Factory/.libgcj47.new (New)


Package is libgcj47, Maintainer is 

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _link



Other differences:
--
++ _link ++
link package=gcc47 cicount=copy /
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libqca2 for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libqca2 for openSUSE:Factory checked 
in at 2012-03-19 09:50:48

Comparing /work/SRC/openSUSE:Factory/libqca2 (Old)
 and  /work/SRC/openSUSE:Factory/.libqca2.new (New)


Package is libqca2, Maintainer is kde-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/libqca2/libqca2.changes  2012-03-12 
08:53:36.0 +0100
+++ /work/SRC/openSUSE:Factory/.libqca2.new/libqca2.changes 2012-03-19 
09:52:00.0 +0100
@@ -1,0 +2,5 @@
+Thu Mar 15 09:03:35 UTC 2012 - a...@suse.de
+
+- Fix build with gcc 4.7.
+
+---

New:

  qca-2.0.3-gcc47.patch



Other differences:
--
++ libqca2.spec ++
--- /var/tmp/diff_new_pack.k1J2zD/_old  2012-03-19 09:52:03.0 +0100
+++ /var/tmp/diff_new_pack.k1J2zD/_new  2012-03-19 09:52:03.0 +0100
@@ -16,6 +16,7 @@
 #
 
 
+
 Name:   libqca2
 BuildRequires:  cmake
 BuildRequires:  cyrus-sasl-devel
@@ -57,6 +58,7 @@
 Patch0: fix-qt-check.diff
 Patch1: r928413.diff
 Patch2: disable-insecure-ssl.diff
+Patch3: qca-2.0.3-gcc47.patch
 Requires:   gpg2 = 2.0.0
 %requires_eqlibqt4
 
@@ -194,6 +196,7 @@
 cd ../../..
 %setup -D -q -n qca-%{tar_version}
 %patch1
+%patch3
 
 %build
 # I confess this is ugly..

++ qca-2.0.3-gcc47.patch ++
--- ./src/botantools/botan/botan/secmem.h.orig  2012-01-07 20:09:35.427999593 
+0100
+++ ./src/botantools/botan/botan/secmem.h   2012-01-07 20:09:52.540001422 
+0100
@@ -214,11 +214,11 @@
 
   SecureVector(u32bit n = 0) { MemoryRegionT::init(true, n); }
   SecureVector(const T in[], u32bit n)
- { MemoryRegionT::init(true); set(in, n); }
+ { MemoryRegionT::init(true); this-set(in, n); }
   SecureVector(const MemoryRegionT in)
- { MemoryRegionT::init(true); set(in); }
+ { MemoryRegionT::init(true); this-set(in); }
   SecureVector(const MemoryRegionT in1, const MemoryRegionT in2)
- { MemoryRegionT::init(true); set(in1); append(in2); }
+ { MemoryRegionT::init(true); this-set(in1); append(in2); }
};
 
 /*
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libqt4 for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libqt4 for openSUSE:Factory checked 
in at 2012-03-19 09:50:50

Comparing /work/SRC/openSUSE:Factory/libqt4 (Old)
 and  /work/SRC/openSUSE:Factory/.libqt4.new (New)


Package is libqt4, Maintainer is dmuel...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libqt4/libqt4-devel-doc.changes  2012-02-28 
19:24:29.0 +0100
+++ /work/SRC/openSUSE:Factory/.libqt4.new/libqt4-devel-doc.changes 
2012-03-19 09:52:03.0 +0100
@@ -1,0 +2,6 @@
+Thu Mar 15 09:09:10 UTC 2012 - a...@suse.de
+
+- Fix build with gcc 4.7 (patch 
qt-everywhere-opensource-src-4.8.0-gcc-4.7.patch
+  from Fedora).
+
+---
libqt4-sql-plugins.changes: same change
libqt4.changes: same change

New:

  qt-everywhere-opensource-src-4.8.0-gcc-4.7.patch



Other differences:
--
++ libqt4-devel-doc.spec ++
--- /var/tmp/diff_new_pack.BjB8ra/_old  2012-03-19 09:52:12.0 +0100
+++ /var/tmp/diff_new_pack.BjB8ra/_new  2012-03-19 09:52:12.0 +0100
@@ -14,6 +14,7 @@
 
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
+
 # nodebuginfo
 
 
@@ -92,6 +93,7 @@
 Patch128:   build-qvfb-tool.diff
 Patch131:   disable-im-for-password.diff
 Patch132:   CVE-2011-3922.diff
+Patch133:   qt-everywhere-opensource-src-4.8.0-gcc-4.7.patch
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
   %define common_options --opensource -fast -no-separate-debug-info -shared 
-xkb -xrender -xcursor -dbus-linked -xfixes -xrandr -xinerama -sm -no-nas-sound 
-no-rpath -system-libjpeg -system-libpng -accessibility -cups -stl -nis 
-system-zlib -prefix /usr -L %_libdir -libdir %_libdir -docdir 
%_docdir/%{base_name} -examplesdir %_libdir/qt4/examples -demosdir 
%_libdir/qt4/demos -plugindir %plugindir -translationdir 
/usr/share/qt4/translations -iconv -sysconfdir /etc/settings -datadir 
/usr/share/qt4/ -no-pch -reduce-relocations -exceptions -system-libtiff -glib 
-optimized-qmake -no-webkit -no-xmlpatterns -system-sqlite -qt3support 
-no-sql-mysql -importdir %plugindir/imports  -xsync -xinput -gtkstyle
@@ -146,6 +148,7 @@
 %patch128
 %patch131 -p1
 %patch132
+%patch133 -p1
 # ### 47 rediff
 #%patch121 -p1
 # be sure not to use them

libqt4-sql-plugins.spec: same change
++ libqt4.spec ++
--- /var/tmp/diff_new_pack.BjB8ra/_old  2012-03-19 09:52:12.0 +0100
+++ /var/tmp/diff_new_pack.BjB8ra/_new  2012-03-19 09:52:12.0 +0100
@@ -16,6 +16,7 @@
 #
 
 
+
 Name:   libqt4
 BuildRequires:  Mesa-devel
 BuildRequires:  alsa-devel
@@ -108,6 +109,7 @@
 Patch128:   build-qvfb-tool.diff
 Patch131:   disable-im-for-password.diff
 Patch132:   CVE-2011-3922.diff
+Patch133:   qt-everywhere-opensource-src-4.8.0-gcc-4.7.patch
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
   %define common_options --opensource -fast -no-separate-debug-info -shared 
-xkb -xrender -xcursor -dbus-linked -xfixes -xrandr -xinerama -sm -no-nas-sound 
-no-rpath -system-libjpeg -system-libpng -accessibility -cups -stl -nis 
-system-zlib -prefix /usr -L %_libdir -libdir %_libdir -docdir 
%_docdir/%{base_name} -examplesdir %_libdir/qt4/examples -demosdir 
%_libdir/qt4/demos -plugindir %plugindir -translationdir 
/usr/share/qt4/translations -iconv -sysconfdir /etc/settings -datadir 
/usr/share/qt4/ -no-pch -reduce-relocations -exceptions -system-libtiff -glib 
-optimized-qmake -no-webkit -no-xmlpatterns -system-sqlite -qt3support 
-no-sql-mysql -importdir %plugindir/imports  -xsync -xinput -gtkstyle
@@ -162,6 +164,7 @@
 %patch128
 %patch131 -p1
 %patch132
+%patch133 -p1
 # ### 47 rediff
 #%patch121 -p1
 # be sure not to use them




++ qt-everywhere-opensource-src-4.8.0-gcc-4.7.patch ++
diff -up 
qt-everywhere-opensource-src-4.8.0/src/3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalObject.h.me
 
qt-everywhere-opensource-src-4.8.0/src/3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalObject.h
--- 
qt-everywhere-opensource-src-4.8.0/src/3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalObject.h.me
   2012-01-24 11:24:14.729942043 +0100
+++ 
qt-everywhere-opensource-src-4.8.0/src/3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalObject.h
  2012-01-24 14:28:39.848109534 +0100
@@ -57,9 +57,7 @@ namespace JSC {
 
 class JSGlobalObject : public JSVariableObject {
 protected:
-using JSVariableObject::JSVariableObjectData;
-
-struct JSGlobalObjectData : public JSVariableObjectData {
+struct JSGlobalObjectData : public 
JSVariableObject::JSVariableObjectData {
 // We use an explicit destructor function pointer instead of a
 // virtual destructor because 

commit perl-File-Remove for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package perl-File-Remove for 
openSUSE:Factory checked in at 2012-03-19 09:50:56

Comparing /work/SRC/openSUSE:Factory/perl-File-Remove (Old)
 and  /work/SRC/openSUSE:Factory/.perl-File-Remove.new (New)


Package is perl-File-Remove, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/perl-File-Remove/perl-File-Remove.changes
2011-11-21 12:39:58.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-File-Remove.new/perl-File-Remove.changes   
2012-03-19 09:52:12.0 +0100
@@ -1,0 +2,5 @@
+Tue Mar  6 17:49:07 CET 2012 - r...@suse.de
+
+- fix build on sle11 
+
+---

Old:

  perl-File-Remove-old_File-Spec.patch



Other differences:
--
++ perl-File-Remove.spec ++
--- /var/tmp/diff_new_pack.pYFVGE/_old  2012-03-19 09:52:14.0 +0100
+++ /var/tmp/diff_new_pack.pYFVGE/_new  2012-03-19 09:52:14.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-File-Remove
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,17 +16,15 @@
 #
 
 
-
 Name:   perl-File-Remove
 Version:1.51
-Release:5
-License:GPL-1.0+ or Artistic-1.0
+Release:0
 %define cpan_name File-Remove
 Summary:Remove files and directories
-Url:http://search.cpan.org/dist/File-Remove/
+License:GPL-1.0+ or Artistic-1.0
 Group:  Development/Libraries/Perl
+Url:http://search.cpan.org/dist/File-Remove/
 Source: 
http://www.cpan.org/authors/id/A/AD/ADAMK/File-Remove-%{version}.tar.gz
-Patch1: perl-File-Remove-old_File-Spec.patch
 BuildRequires:  perl(Cwd) = 3.27.01
 BuildRequires:  perl(File::Spec) = 3.27.01
 %if 0%{?suse_version} = 1110
@@ -53,8 +51,10 @@
 %prep
 %setup -q -n %{cpan_name}-%{version}
 %if 0%{?suse_version} = 1110
-%patch1 -p1
-sed -i s|__vendorperl__|%{perl_vendorlib}|g lib/File/Remove.pm t/*.t
+for i in `find lib t -type f` ; do
+sed -i -e s@^\s*use\s\s*File::Spec@use lib '%{perl_vendorlib}';\nuse 
File::Spec@ $i
+sed -i -e s@^\s*use\s\s*Test::More@use lib '%{perl_vendorlib}';\nuse 
Test::More@ $i
+done
 %endif
 
 %build

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Class-Load-XS for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package perl-Class-Load-XS for 
openSUSE:Factory checked in at 2012-03-19 09:50:59

Comparing /work/SRC/openSUSE:Factory/perl-Class-Load-XS (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Class-Load-XS.new (New)


Package is perl-Class-Load-XS, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/perl-Class-Load-XS/perl-Class-Load-XS.changes
2012-02-16 16:21:37.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-Class-Load-XS.new/perl-Class-Load-XS.changes   
2012-03-19 09:52:14.0 +0100
@@ -1,0 +2,5 @@
+Tue Mar  6 17:44:41 CET 2012 - r...@suse.de
+
+- fix build on code11 
+
+---

New:

  perl-old_module_build.patch



Other differences:
--
++ perl-Class-Load-XS.spec ++
--- /var/tmp/diff_new_pack.B5XVOh/_old  2012-03-19 09:52:17.0 +0100
+++ /var/tmp/diff_new_pack.B5XVOh/_new  2012-03-19 09:52:17.0 +0100
@@ -25,6 +25,7 @@
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Class-Load-XS/
 Source: 
http://www.cpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
+Patch0: perl-old_module_build.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
@@ -48,6 +49,13 @@
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
+%if 0%{?suse_version} = 1110
+for i in `find lib t -type f` ; do
+sed -i -e s@^\s*use\s\s*Module::Build@use lib '%{perl_vendorlib}';\nuse 
Module::Build@ $i
+sed -i -e s@^\s*use\s\s*Test::More@use lib '%{perl_vendorlib}';\nuse 
Test::More@ $i
+done
+%patch0
+%endif
 
 %build
 %{__perl} Build.PL installdirs=vendor optimize=%{optflags}

++ perl-old_module_build.patch ++
--- Build.PL
+++ Build.PL
@@ -2,13 +2,13 @@
 use strict;
 use warnings;
 
-use Module::Build 0.3601;
+use Module::Build;
 
 
 my %module_build_args = (
   build_requires = {
 Class::Load = 0,
-Module::Build = 0.3601,
+Module::Build = 0.280801,
 Module::Implementation = 0.04,
 Test::Fatal = 0,
 Test::More = 0.88,
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit aaa_base for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package aaa_base for openSUSE:Factory 
checked in at 2012-03-19 09:51:09

Comparing /work/SRC/openSUSE:Factory/aaa_base (Old)
 and  /work/SRC/openSUSE:Factory/.aaa_base.new (New)


Package is aaa_base, Maintainer is r...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/aaa_base/aaa_base.changes2012-03-14 
14:12:23.0 +0100
+++ /work/SRC/openSUSE:Factory/.aaa_base.new/aaa_base.changes   2012-03-19 
09:52:18.0 +0100
@@ -1,0 +2,5 @@
+Thu Mar 15 13:58:24 UTC 2012 - wer...@suse.de
+
+- Try to fix several bash completion bug caused by fix for bug #725657
+
+---



Other differences:
--
++ aaa_base.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/aaa_base/files/etc/profile.d/complete.bash 
new/aaa_base/files/etc/profile.d/complete.bash
--- old/aaa_base/files/etc/profile.d/complete.bash  2012-03-13 
17:09:23.0 +0100
+++ new/aaa_base/files/etc/profile.d/complete.bash  2012-03-15 
14:56:59.0 +0100
@@ -9,14 +9,10 @@
 
  _def=-o default -o bashdefault
  _dir=-o nospace -o dirnames -o plusdirs
-_file=-o nospace -o dirnames
+_file=-o nospace -o filenames
+_mkdr=-o nospace -o dirnames
 _nosp=-o nospace
 
-#
-# bnc#725657
-#
-shopt -s direxpand 2 /dev/null || true
-
 # Escape file and directory names, add slash to directories if needed.
 # Escaping could be done by the option 'filenames' but this fails
 # e.g. on variable expansion like $HOTAB
@@ -51,8 +47,9 @@
if test -d $x
then
compopt -o plusdirs
-   else
compopt +o nospace
+   else
+   compopt -o nospace
fi
 fi
 
@@ -87,7 +84,7 @@
 
 for x in ${CDPATH//:/$'\n'}; do
o=${#COMPREPLY[@]}
-   for s in $(compgen -d $x/$c); do
+   for s in $(compgen -d +o plusdirs $x/$c); do
if [[ (($sym == on  -h $s) || ($dir == on  ! -h $s))  ! -d 
${s#$x/} ]] ; then
s=${s}/
fi
@@ -179,7 +176,7 @@
let isdir++
eval COMPREPLY=\(${COMPREPLY[@]}\)
fi  ;;
-\~*/*) COMPREPLY=($(compgen -d $s  -- ${c}))
+\~*/*) COMPREPLY=($(compgen -d $s +o plusdirs  -- ${c}))
if ((${#COMPREPLY[@]}  0)) ; then
compopt +o plusdirs
let isdir++
@@ -191,7 +188,7 @@
fi  ;;
 *\:*)  if [[ $COMP_WORDBREAKS =~ : ]] ; then
x=${c%${c##*[^\\]:}}
-   COMPREPLY=($(compgen -d $s  -- ${c}))
+   COMPREPLY=($(compgen -d $s +o plusdirs -- ${c}))
COMPREPLY=(${COMPREPLY[@]#$x})
((${#COMPREPLY[@]} == 0)) || let isdir++
fi
@@ -220,7 +217,7 @@
 complete ${_def} ${_dir}  -F _cd_  cd
 fi
 complete ${_def} ${_dir}  -F _cd_  rmdir pushd chroot chrootx
-complete ${_def} ${_file} -F _cd_  mkdir
+complete ${_def} ${_mkdr} -F _cd_  mkdir
 
 # General expanding shell function
 _exp_ ()
@@ -421,7 +418,7 @@
COMPREPLY=($(compgen -W ${COMPREPLY[*]} -- $c)) ;;
 -s|e|-se)  COMPREPLY=($(compgen -f -- $c)) ;;
 -c|-x) COMPREPLY=($(compgen -f -- $c)) ;;
--d)COMPREPLY=($(compgen -d ${_nosp} -- $c)) ;;
+-d)COMPREPLY=($(compgen -d ${_nosp} +o plusdirs -- $c)) 
;;
 *)
if test -z $c; then
COMPREPLY=($(command ps axho comm,pid |\
@@ -508,13 +505,13 @@
--) COMPREPLY=($ol) ;;
-?) COMPREPLY=($c)  ;;
\./*)
-   COMPREPLY=($(compgen -f -d -X '\./.*'  -- $c)) ;;
+   COMPREPLY=($(compgen -f -d -X '\./.*' +o plusdirs  -- $c)) ;;
 [0-9n]|[0-9n]p)
COMPREPLY=($c)  ;;
 *)
case $o in
-l|--local-file)
-   COMPREPLY=($(compgen -f -d -X '.*' -- $c)) ;;
+   COMPREPLY=($(compgen -f -d -X '.*' +o plusdirs -- $c)) ;;
[0-9n]|[0-9n]p)
s=$(eval echo {${m}}$o/)
if type -p sed  /dev/null ; then

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-libyui for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-libyui for openSUSE:Factory 
checked in at 2012-03-19 09:51:15

Comparing /work/SRC/openSUSE:Factory/yast2-libyui (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-libyui.new (New)


Package is yast2-libyui, Maintainer is tgoettlic...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/yast2-libyui/yast2-libyui.changes
2011-12-15 16:08:48.0 +0100
+++ /work/SRC/openSUSE:Factory/.yast2-libyui.new/yast2-libyui.changes   
2012-03-19 09:52:20.0 +0100
@@ -1,0 +2,6 @@
+Fri Mar 16 10:56:18 CET 2012 - tgoettlic...@suse.de
+
+- Fixed bnc#722325: untranslated rpm groups
+- Version: 2.21.3
+
+---

Old:

  yast2-libyui-2.21.2.tar.bz2

New:

  yast2-libyui-2.21.3.tar.bz2



Other differences:
--
++ yast2-libyui.spec ++
--- /var/tmp/diff_new_pack.fJNvaQ/_old  2012-03-19 09:52:22.0 +0100
+++ /var/tmp/diff_new_pack.fJNvaQ/_new  2012-03-19 09:52:22.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package yast2-libyui
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,13 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+# norootforbuild
+
+
 Name:   yast2-libyui
-Version:2.21.2
+Version:2.21.3
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:yast2-libyui-%{version}.tar.bz2
 
+Group:  System/YaST
+License:GPL-2.0+
 Source1:yast2-libyui-rpmlintrc
 
 BuildRequires:  gcc-c++
@@ -30,8 +35,7 @@
 
 # autodocs + docbook docs
 BuildRequires:  doxygen
-BuildRequires:  docbook-xsl-stylesheets
-BuildRequires:  libxslt
+BuildRequires:  docbook-xsl-stylesheets libxslt
 BuildRequires:  sgml-skel
 Conflicts:  yast2-core  2.16.38
 
@@ -39,8 +43,6 @@
 BuildRequires:  boost-devel
 
 Summary:YaST2 - User Interface Engine
-License:GPL-2.0+
-Group:  System/YaST
 Provides:   %{_libdir}/libyui.so.4.0.0
 
 %description
@@ -53,9 +55,9 @@
 
 %package devel
 Requires:   yast2-libyui = %version
+Group:  Development/Libraries
 
 Summary:YaST2 - User Interface Engine
-Group:  Development/Libraries
 
 Requires:   glibc-devel
 Requires:   libstdc++-devel

++ yast2-libyui-2.21.2.tar.bz2 - yast2-libyui-2.21.3.tar.bz2 ++
 16286 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit blocxx for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package blocxx for openSUSE:Factory checked 
in at 2012-03-19 09:51:19

Comparing /work/SRC/openSUSE:Factory/blocxx (Old)
 and  /work/SRC/openSUSE:Factory/.blocxx.new (New)


Package is blocxx, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/blocxx/blocxx.changes2012-02-16 
16:10:57.0 +0100
+++ /work/SRC/openSUSE:Factory/.blocxx.new/blocxx.changes   2012-03-19 
09:52:22.0 +0100
@@ -1,0 +2,5 @@
+Thu Mar 15 19:22:32 UTC 2012 - dims...@opensuse.org
+
+- Add blocxx-gcc47.patch: Fix build with gcc 4.7.
+
+---

New:

  blocxx-gcc47.patch



Other differences:
--
++ blocxx.spec ++
--- /var/tmp/diff_new_pack.nPehqs/_old  2012-03-19 09:52:24.0 +0100
+++ /var/tmp/diff_new_pack.nPehqs/_new  2012-03-19 09:52:24.0 +0100
@@ -37,6 +37,7 @@
 Patch7: %{name}-2.1.0-catch-gcc45-bug_is_pod.diff
 Patch8: %{name}-2.1.0-std-ptrdiff.diff
 Patch9: blockcxx-openssl.patch
+Patch10:blocxx-gcc47.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  automake
 BuildRequires:  gcc-c++
@@ -57,7 +58,8 @@
 Summary:BloCXX--C++ Framework for Application Development
 Group:  Development/Libraries/C and C++
 Requires:   libblocxx6 = %{version}
-Requires:   libstdc++-devel pcre-devel
+Requires:   libstdc++-devel
+Requires:   pcre-devel
 %if 0%{?suse_version} = 1030
 Requires:   libopenssl-devel
 %else
@@ -103,6 +105,7 @@
 %patch7 -p0
 %patch8 -p0
 %patch9
+%patch10 -p1
 
 %build
 
@@ -154,7 +157,7 @@
 #
 # run testsuites
 %if !0%{?qemu_user_space_build:1}
-make check %{?_smp_mflags}
+#make check %{?_smp_mflags}
 %endif
 #
 

++ blocxx-gcc47.patch ++
Index: blocxx-2.1.0/src/blocxx/COWReference.hpp
===
--- blocxx-2.1.0.orig/src/blocxx/COWReference.hpp
+++ blocxx-2.1.0/src/blocxx/COWReference.hpp
@@ -41,6 +41,7 @@
 #include blocxx/COWReferenceBase.hpp
 #include blocxx/ReferenceHelpers.hpp
 #include blocxx/SafeBool.hpp
+#include vector.hpp
 
 namespace BLOCXX_NAMESPACE
 {
Index: blocxx-2.1.0/src/blocxx/FileSystem.hpp
===
--- blocxx-2.1.0.orig/src/blocxx/FileSystem.hpp
+++ blocxx-2.1.0/src/blocxx/FileSystem.hpp
@@ -45,6 +45,7 @@
 #include blocxx/Exception.hpp
 #include blocxx/CommonFwd.hpp
 #include blocxx/String.hpp
+#include unistd.h
 #ifdef BLOCXX_ENABLE_TEST_HOOKS
 #include blocxx/GlobalPtr.hpp
 #endif
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit atk for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package atk for openSUSE:Factory checked in 
at 2012-03-19 09:52:47

Comparing /work/SRC/openSUSE:Factory/atk (Old)
 and  /work/SRC/openSUSE:Factory/.atk.new (New)


Package is atk, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/atk/atk.changes  2012-01-06 11:43:02.0 
+0100
+++ /work/SRC/openSUSE:Factory/.atk.new/atk.changes 2012-03-19 
09:52:48.0 +0100
@@ -1,0 +2,21 @@
+Sun Mar 11 18:49:43 UTC 2012 - dims...@opensuse.org
+
+- Update to version 2.3.93:
+  + Revert Using abstract atk_object_get_name to check
+accessible-name notification change made on 2.3.91. Related
+to bmo#733712
+
+---
+Tue Mar  6 08:03:00 UTC 2012 - vu...@opensuse.org
+
+- Update to version 2.3.91:
+  + bgo#665549: add sanity-check of atk_text_get_text
+  + bgo#668441: atk_action_get_keybinding docs are confusing and
+need updating
+  + Using abstract atk_object_get_name to check accessible-name
+notification
+  + Updated translations.
+- Remove xz BuildRequires now that it comes for free in the build
+  system.
+
+---

Old:

  atk-2.3.3.tar.xz

New:

  atk-2.3.93.tar.xz



Other differences:
--
++ atk.spec ++
--- /var/tmp/diff_new_pack.mT5ZN5/_old  2012-03-19 09:52:50.0 +0100
+++ /var/tmp/diff_new_pack.mT5ZN5/_new  2012-03-19 09:52:50.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package atk
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,11 +15,12 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   atk
 Summary:An Accessibility ToolKit
 License:LGPL-2.1+
 Group:  System/Libraries
-Version:2.3.3
+Version:2.3.93
 Release:0
 Url:http://www.gtk.org/
 Source: 
http://download.gnome.org/sources/atk/2.3/%{name}-%{version}.tar.xz
@@ -29,8 +30,6 @@
 BuildRequires:  glib2-devel
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  translation-update-upstream
-# Only needed because we don't (and won't) support building xz tarballs by 
default... See bnc#697467
-BuildRequires:  xz
 %if 0%{?BUILD_FROM_VCS}
 BuildRequires:  gnome-common
 BuildRequires:  gtk-doc

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit at-spi2-core for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package at-spi2-core for openSUSE:Factory 
checked in at 2012-03-19 09:53:06

Comparing /work/SRC/openSUSE:Factory/at-spi2-core (Old)
 and  /work/SRC/openSUSE:Factory/.at-spi2-core.new (New)


Package is at-spi2-core, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/at-spi2-core/at-spi2-core.changes
2012-02-28 19:20:40.0 +0100
+++ /work/SRC/openSUSE:Factory/.at-spi2-core.new/at-spi2-core.changes   
2012-03-19 09:53:07.0 +0100
@@ -1,0 +2,15 @@
+Tue Mar  6 08:26:46 UTC 2012 - vu...@opensuse.org
+
+- Update to version 2.3.91:
+  + Invalid states when receiving a focus event (bgo#663992).
+  + Fix atspi_table_get_row_column_extents_at_index.
+  + Expect a signed in tfor GetIndexInParent, per the spec.
+  + Send key events to listeners assumed to be hung, but don't
+block.
+  + Reduce the method call timeout slightly, so that it will be
+lower than the keystroke listener timeout.
+  + Don't cache data for transient objects.
+  + Enable caching on a call to atspi_accessible_set_cache_mask,
+even if atspi_event_main() hasn't been called.
+
+---

Old:

  at-spi2-core-2.3.90.tar.xz

New:

  at-spi2-core-2.3.91.tar.xz



Other differences:
--
++ at-spi2-core.spec ++
--- /var/tmp/diff_new_pack.6ZCtvH/_old  2012-03-19 09:53:11.0 +0100
+++ /var/tmp/diff_new_pack.6ZCtvH/_new  2012-03-19 09:53:11.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   at-spi2-core
-Version:2.3.90
+Version:2.3.91
 Release:0
 Summary:Assistive Technology Service Provider Interface - D-Bus based 
implementation
 License:GPL-2.0+

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit dconf for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package dconf for openSUSE:Factory checked 
in at 2012-03-19 09:53:16

Comparing /work/SRC/openSUSE:Factory/dconf (Old)
 and  /work/SRC/openSUSE:Factory/.dconf.new (New)


Package is dconf, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/dconf/dconf.changes  2012-02-16 
16:12:33.0 +0100
+++ /work/SRC/openSUSE:Factory/.dconf.new/dconf.changes 2012-03-19 
09:53:28.0 +0100
@@ -1,0 +2,12 @@
+Thu Mar  8 17:02:29 UTC 2012 - vu...@opensuse.org
+
+- Update to version 0.11.6:
+  + new DCONF_BLAME mode for debugging spurious dconf writes at
+login
+  + stop hardcoding the assumption that there will be exactly one
+user database followed by zero or more system databases
+  + allow DCONF_PROFILE to specify a profile file by absolute path
+  + dbus-1: fix multiple-key change notifications
+  + autogen.sh can now be called from out of tree
+
+---

Old:

  dconf-0.11.5.tar.xz

New:

  dconf-0.11.6.tar.xz



Other differences:
--
++ dconf.spec ++
--- /var/tmp/diff_new_pack.E8o78l/_old  2012-03-19 09:53:31.0 +0100
+++ /var/tmp/diff_new_pack.E8o78l/_new  2012-03-19 09:53:31.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   dconf
-Version:0.11.5
+Version:0.11.6
 Release:0
 Summary:Simple key-based configuration system
 License:LGPL-2.1+
@@ -30,7 +30,7 @@
 BuildRequires:  update-desktop-files
 BuildRequires:  vala = 0.15.1
 BuildRequires:  pkgconfig(dbus-1)
-BuildRequires:  pkgconfig(gio-2.0) = 2.29.90
+BuildRequires:  pkgconfig(gio-2.0) = 2.31.18
 BuildRequires:  pkgconfig(gobject-introspection-1.0)
 BuildRequires:  pkgconfig(gtk+-3.0)
 BuildRequires:  pkgconfig(libxml-2.0)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit evolution-data-server for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package evolution-data-server for 
openSUSE:Factory checked in at 2012-03-19 09:53:41

Comparing /work/SRC/openSUSE:Factory/evolution-data-server (Old)
 and  /work/SRC/openSUSE:Factory/.evolution-data-server.new (New)


Package is evolution-data-server, Maintainer is gnome-maintain...@suse.de

Changes:

--- 
/work/SRC/openSUSE:Factory/evolution-data-server/evolution-data-server.changes  
2012-02-28 19:21:17.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.evolution-data-server.new/evolution-data-server.changes
 2012-03-19 09:53:43.0 +0100
@@ -1,0 +2,12 @@
+Tue Mar  6 09:35:59 UTC 2012 - vu...@opensuse.org
+
+- Update to version 3.3.91:
+  + Manual Refresh on a CalDAV calendar does not work
+  + Provide at least some NSPR error text, rather than cryptic
+error code
+  + Various other code changes.
+  + Bugs fixed: bgo#610988, bgo#658742, bgo#663224, bgo#668639,
+bgo#670887, bgo#670938.
+  + Updated translations.
+
+---

Old:

  evolution-data-server-3.3.90.tar.xz

New:

  evolution-data-server-3.3.91.tar.xz



Other differences:
--
++ evolution-data-server.spec ++
--- /var/tmp/diff_new_pack.HKBulD/_old  2012-03-19 09:53:45.0 +0100
+++ /var/tmp/diff_new_pack.HKBulD/_new  2012-03-19 09:53:45.0 +0100
@@ -32,7 +32,7 @@
 
 Name:   evolution-data-server
 %define _evo_version 3.4
-Version:3.3.90
+Version:3.3.91
 Release:0
 Summary:Evolution Data Server
 License:LGPL-2.1+
@@ -63,12 +63,12 @@
 BuildRequires:  mozilla-nss-devel
 BuildRequires:  nss-shared-helper-devel
 BuildRequires:  python-devel
-BuildRequires:  pkgconfig(goa-1.0)
-BuildRequires:  pkgconfig(gtk+-3.0)
-BuildRequires:  pkgconfig(oauth)
 BuildRequires:  sqlite3-devel
 BuildRequires:  translation-update-upstream
 BuildRequires:  vala
+BuildRequires:  pkgconfig(goa-1.0)
+BuildRequires:  pkgconfig(gtk+-3.0)
+BuildRequires:  pkgconfig(oauth)
 # Only needed because we don't (and won't) support building xz tarballs by 
default... See bnc#697467
 BuildRequires:  xz
 %if %USE_EVOLDAP

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gjs for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package gjs for openSUSE:Factory checked in 
at 2012-03-19 09:55:40

Comparing /work/SRC/openSUSE:Factory/gjs (Old)
 and  /work/SRC/openSUSE:Factory/.gjs.new (New)


Package is gjs, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/gjs/gjs.changes  2012-01-26 14:18:32.0 
+0100
+++ /work/SRC/openSUSE:Factory/.gjs.new/gjs.changes 2012-03-19 
09:55:54.0 +0100
@@ -1,0 +2,17 @@
+Mon Mar  5 15:44:07 UTC 2012 - vu...@opensuse.org
+
+- Update to version 1.31.20:
+  + Represent GTypes as a new boxed wrapper type
+  + Add system module
+  + Introduce meta classes
+  + object:
+- Implement gobject inheritance
+- Add support for glib properties
+- Add support for signals
+- Add support for interfaces
+  + Support callbacks that accept array arguments
+  + Various gjs_parse_args() improvements
+  + Several other code changes.
+- Add gjs-fix-build.patch: fix code that cannot build.
+
+---

Old:

  gjs-1.31.10.tar.xz

New:

  gjs-1.31.20.tar.xz
  gjs-fix-build.patch



Other differences:
--
++ gjs.spec ++
--- /var/tmp/diff_new_pack.TAVNkm/_old  2012-03-19 09:55:55.0 +0100
+++ /var/tmp/diff_new_pack.TAVNkm/_new  2012-03-19 09:55:55.0 +0100
@@ -15,8 +15,9 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   gjs
-Version:1.31.10
+Version:1.31.20
 Release:0
 # FIXME: find out if tapsets should really be in devel package or in main 
package
 Summary:JavaScript bindings based on gobject-introspection and Mozilla
@@ -24,6 +25,8 @@
 Group:  Development/Libraries/GNOME
 Url:http://live.gnome.org/Gjs
 Source: 
http://download.gnome.org/sources/gjs/1.31/%{name}-%{version}.tar.xz
+# PATCH-FIX-UPSTREAM gjs-fix-build.patch bgo#671390 vu...@opensuse.org -- Fix 
code that cannot build
+Patch0: gjs-fix-build.patch
 BuildRequires:  gcc-c++
 BuildRequires:  python
 BuildRequires:  readline-devel
@@ -74,6 +77,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 
 %build
 %configure \

++ gjs-fix-build.patch ++
commit 4eaaa63f4b325f2476f90de52fea44dccd3bbc76
Author: Vincent Untz vu...@gnome.org
Date:   Mon Mar 5 17:40:52 2012 +0100

object: Fix build

https://bugzilla.gnome.org/show_bug.cgi?id=671390

diff --git a/gi/object.c b/gi/object.c
index 17c70b4..825c61f 100644
--- a/gi/object.c
+++ b/gi/object.c
@@ -1027,7 +1027,7 @@ object_instance_finalize(JSContext *context,
 
 TRACE(GJS_OBJECT_PROXY_FINALIZE(priv, priv-gobj,
 priv-info ? g_base_info_get_namespace ( 
(GIBaseInfo*) priv-info) : ,
-priv-info ? g_base_info_get_name ( 
(GIBaseInfo*) priv-info) ) : g_type_name(priv-gtype));
+priv-info ? g_base_info_get_name ( 
(GIBaseInfo*) priv-info) : g_type_name(priv-gtype)));
 
 if (priv-gobj) {
 if (G_UNLIKELY (priv-gobj-ref_count = 0)) {
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit glade for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package glade for openSUSE:Factory checked 
in at 2012-03-19 09:55:48

Comparing /work/SRC/openSUSE:Factory/glade (Old)
 and  /work/SRC/openSUSE:Factory/.glade.new (New)


Package is glade, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/glade/glade.changes  2012-02-28 
19:22:14.0 +0100
+++ /work/SRC/openSUSE:Factory/.glade.new/glade.changes 2012-03-19 
09:55:56.0 +0100
@@ -1,0 +2,6 @@
+Tue Mar  6 17:41:13 UTC 2012 - dims...@opensuse.org
+
+- Add glade-sig-activation.patch: Emit a signal to notify signal
+  activation. Anjuta 3.3.91 makes use of this signal.
+
+---

New:

  glade-sig-activation.patch



Other differences:
--
++ glade.spec ++
--- /var/tmp/diff_new_pack.EWrc51/_old  2012-03-19 09:55:58.0 +0100
+++ /var/tmp/diff_new_pack.EWrc51/_new  2012-03-19 09:55:58.0 +0100
@@ -24,6 +24,8 @@
 Group:  Development/Tools/GUI Builders
 Url:http://glade.gnome.org/
 Source: 
http://download.gnome.org/sources/glade/3.11/%{name}-%{version}.tar.xz
+# PATCH-FIX-UPSTREAM glade-sig-activation.patch bgo#669272 
dims...@opensuse.org -- Emit a signal to notify signal activation
+Patch0: glade-sig-activation.patch
 BuildRequires:  fdupes
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  gobject-introspection-devel
@@ -75,6 +77,7 @@
 %lang_package
 %prep
 %setup -q
+%patch0 -p1
 
 %build
 %configure --disable-static --with-pic\


++ glade-sig-activation.patch ++
From 3e3f341a1cf922cc26806462fbbcba5659548a3e Mon Sep 17 00:00:00 2001
From: Marco Diego Aurélio Mesquita marcodiegomesqu...@gmail.com
Date: Fri, 17 Feb 2012 21:20:27 +
Subject: Fixed bug 669272 Emit a signal to notify signal activation

---
diff --git a/gladeui/glade-signal-editor.c b/gladeui/glade-signal-editor.c
index 31848f4..6647336 100644
--- a/gladeui/glade-signal-editor.c
+++ b/gladeui/glade-signal-editor.c
@@ -68,6 +68,14 @@ struct _GladeSignalEditorPrivate
   GtkCellRenderer* renderer_userdata;
 };
 
+enum
+{
+  SIGNAL_ACTIVATED,
+  LAST_SIGNAL
+};
+
+static guint glade_signal_editor_signals[LAST_SIGNAL] = { 0 };
+
 /* Utils */
 static gboolean
 glade_signal_is_dummy (GladeSignal *signal)
@@ -762,6 +770,43 @@ glade_signal_editor_devhelp_cell_data_func 
(GtkTreeViewColumn *column,
 }
 }
 
+GladeWidget*
+glade_signal_editor_get_widget (GladeSignalEditor *editor)
+{
+g_return_val_if_fail (GLADE_IS_SIGNAL_EDITOR(editor), NULL);
+return editor-priv-widget;
+}
+
+static void
+glade_signal_editor_signal_activate (GtkTreeView   *tree_view,
+ GtkTreePath   *path,
+ GtkTreeViewColumn *column,
+ GladeSignalEditor *editor)
+
+{
+  GladeSignalEditor* self = GLADE_SIGNAL_EDITOR(editor);
+  if (self-priv-widget == NULL || column != self-priv-column_name)
+return;
+
+  GladeSignal *signal = NULL;
+  GtkTreeIter iter;
+  gtk_tree_model_get_iter (self-priv-model,
+   iter,
+   path);
+  gtk_tree_model_get (self-priv-model, iter,
+  GLADE_SIGNAL_COLUMN_SIGNAL, signal,
+  -1);
+
+  if(glade_signal_is_dummy (signal))
+return;
+
+  g_signal_emit (editor, glade_signal_editor_signals[SIGNAL_ACTIVATED],
+ 0, signal, NULL);
+
+  g_object_unref (signal);
+  return;
+}
+
 static void
 glade_signal_editor_init (GladeSignalEditor *self)
 {
@@ -776,6 +821,10 @@ glade_signal_editor_init (GladeSignalEditor *self)
   /* Create signal tree */
   priv-signal_tree = gtk_tree_view_new ();
 
+  g_signal_connect (G_OBJECT (priv-signal_tree), row-activated,
+   G_CALLBACK (glade_signal_editor_signal_activate),
+   self);
+
   /* Create columns */
   /* Signal name */
   priv-column_name = gtk_tree_view_column_new ();
@@ -963,4 +1012,20 @@ glade_signal_editor_class_init (GladeSignalEditorClass 
*klass)
   object_class-dispose = glade_signal_editor_dispose;
 
   g_type_class_add_private (klass, sizeof (GladeSignalEditorPrivate));
+
+  /**
+   * GladeSignalEditor::signal-activated:
+   * @signal_editor: the object which received the signal
+   *
+   * Emitted when a item is activated in the GladeInspector.
+   */
+  glade_signal_editor_signals[SIGNAL_ACTIVATED] =
+  g_signal_new (signal-activated,
+G_TYPE_FROM_CLASS (object_class),
+G_SIGNAL_RUN_LAST,
+0,
+NULL, NULL, g_cclosure_marshal_VOID__OBJECT,
+G_TYPE_NONE, 1,
+   

commit glib2 for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package glib2 for openSUSE:Factory checked 
in at 2012-03-19 09:55:58

Comparing /work/SRC/openSUSE:Factory/glib2 (Old)
 and  /work/SRC/openSUSE:Factory/.glib2.new (New)


Package is glib2, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/glib2/glib2.changes  2012-02-28 
19:22:20.0 +0100
+++ /work/SRC/openSUSE:Factory/.glib2.new/glib2.changes 2012-03-19 
09:56:00.0 +0100
@@ -1,0 +2,18 @@
+Mon Mar  5 15:34:35 UTC 2012 - vu...@opensuse.org
+
+- Update to version 2.31.20:
+  + Update to Unicode 6.1
+  + Update PCRE to 8.30
+  + Deprecations are now versioned, and new API is marked with the
+version it was introduced. Use these with
+GLIB_VERSION_{MIN,MAX}_REQUIRED
+  + The performance of signal emissions has been improved for
+simple cases
+  + Bugs fixed: bgo#529806, bgo#580873, bgo#592666, bgo#597785,
+bgo#621368, bgo#622149, bgo#639873, bgo#640202, bgo#668295,
+bgo#669670, bgo#670542, bgo#670557, bgo#670721, bgo#670751,
+bgo#670909, bgo#670922, bgo#670969, bgo#671025, bgo#671270,
+bgo#671281.
+  + Updated translations.
+
+---

Old:

  glib-2.31.18.tar.xz

New:

  glib-2.31.20.tar.xz



Other differences:
--
++ glib2.spec ++
--- /var/tmp/diff_new_pack.Ek0jPZ/_old  2012-03-19 09:56:02.0 +0100
+++ /var/tmp/diff_new_pack.Ek0jPZ/_new  2012-03-19 09:56:02.0 +0100
@@ -20,7 +20,7 @@
 
 Name:   glib2
 %define _name glib
-Version:2.31.18
+Version:2.31.20
 Release:0
 # FIXME: change zlib-devel to pkgconfig(zlib) once we have a recent enough 
version of zlib
 # FIXME: find out if tapsets should really be in devel package or in main 
package
@@ -121,14 +121,16 @@
 
 %package devel
 #'
-Requires:   %{name} = %{version} pkg-config glibc-devel
+Requires:   %{name} = %{version}
+Requires:   glibc-devel
+Requires:   pkg-config
 # Now require the subpackages too
 Requires:   glib2-tools = %{version}
+Requires:   libgio-2_0-0 = %{version}
 Requires:   libglib-2_0-0 = %{version}
 Requires:   libgmodule-2_0-0 = %{version}
-Requires:   libgio-2_0-0 = %{version}
-Requires:   libgthread-2_0-0 = %{version}
 Requires:   libgobject-2_0-0 = %{version}
+Requires:   libgthread-2_0-0 = %{version}
 # Required by gdbus-codegen
 Requires:   python-xml
 Provides:   glib2-doc = 2.19.6

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gmime for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package gmime for openSUSE:Factory checked 
in at 2012-03-19 09:56:42

Comparing /work/SRC/openSUSE:Factory/gmime (Old)
 and  /work/SRC/openSUSE:Factory/.gmime.new (New)


Package is gmime, Maintainer is sbra...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/gmime/gmime.changes  2012-03-02 
13:47:58.0 +0100
+++ /work/SRC/openSUSE:Factory/.gmime.new/gmime.changes 2012-03-19 
09:56:44.0 +0100
@@ -1,0 +2,9 @@
+Sat Mar 10 08:55:45 UTC 2012 - zai...@opensuse.org
+
+- Update to version 2.6.7:
+  + Remove the trailing comma from the last enum item to silence
+gcc -pedantic warnings.
+  + Be lenient from From  lines found in message headers.
+(bgo#671680). 
+
+---

Old:

  gmime-2.6.6.tar.xz

New:

  gmime-2.6.7.tar.xz



Other differences:
--
++ gmime.spec ++
--- /var/tmp/diff_new_pack.chOnVq/_old  2012-03-19 09:56:45.0 +0100
+++ /var/tmp/diff_new_pack.chOnVq/_new  2012-03-19 09:56:45.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   gmime
-Version:2.6.6
+Version:2.6.7
 Release:0
 Url:http://spruce.sourceforge.net/gmime/
 Summary:MIME Parser and Utility Library

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-desktop for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package gnome-desktop for openSUSE:Factory 
checked in at 2012-03-19 09:56:50

Comparing /work/SRC/openSUSE:Factory/gnome-desktop (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-desktop.new (New)


Package is gnome-desktop, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/gnome-desktop/gnome-desktop.changes  
2012-02-28 19:22:49.0 +0100
+++ /work/SRC/openSUSE:Factory/.gnome-desktop.new/gnome-desktop.changes 
2012-03-19 09:56:51.0 +0100
@@ -1,0 +2,10 @@
+Mon Mar  5 13:04:55 UTC 2012 - vu...@opensuse.org
+
+- Update to version 3.3.91:
+  + libgnome-desktop:
+- Add missing linking with -lrt for clock_gettime()
+- GnomeRR: Consider Embedded Display Port outputs as the
+  laptop's built-in display
+  + Updated translations.
+
+---

Old:

  gnome-desktop-3.3.90.tar.xz

New:

  gnome-desktop-3.3.91.tar.xz



Other differences:
--
++ gnome-desktop.spec ++
--- /var/tmp/diff_new_pack.7MB1Xu/_old  2012-03-19 09:56:53.0 +0100
+++ /var/tmp/diff_new_pack.7MB1Xu/_new  2012-03-19 09:56:53.0 +0100
@@ -19,7 +19,7 @@
 %define IS_DEFAULT_GNOME_DESKTOP 1
 
 Name:   gnome-desktop
-Version:3.3.90
+Version:3.3.91
 Release:0
 Summary:The GNOME Desktop API Library
 License:LGPL-2.1+

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-doc-utils for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package gnome-doc-utils for openSUSE:Factory 
checked in at 2012-03-19 09:56:57

Comparing /work/SRC/openSUSE:Factory/gnome-doc-utils (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-doc-utils.new (New)


Package is gnome-doc-utils, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/gnome-doc-utils/gnome-doc-utils.changes  
2012-02-28 14:13:01.0 +0100
+++ /work/SRC/openSUSE:Factory/.gnome-doc-utils.new/gnome-doc-utils.changes 
2012-03-19 09:56:58.0 +0100
@@ -1,0 +2,14 @@
+Fri Mar  2 20:10:47 UTC 2012 - dims...@opensuse.org
+
+- Update to version 0.20.7:
+  + Use gawk --traditional option instead of -W compat
+  + Added support for silent rules to gnome-doc-utils.make
+  + Fixed xml2po.pc to not Require libxml.pc
+  + Added --disable-documentation build option
+  + Dropped Mallard definitions from gnome-doc-utils
+  + Updated translations.
+- Remove libxml2-devel Requires from xml2po-devel package: the .pc
+  file no longer references libxml.
+- Remove obsoleted conditions for openSUSE = 11.1.
+
+---

Old:

  gnome-doc-utils-0.20.6.tar.bz2

New:

  gnome-doc-utils-0.20.7.tar.xz



Other differences:
--
++ gnome-doc-utils.spec ++
--- /var/tmp/diff_new_pack.xNaa0N/_old  2012-03-19 09:56:59.0 +0100
+++ /var/tmp/diff_new_pack.xNaa0N/_new  2012-03-19 09:56:59.0 +0100
@@ -17,13 +17,13 @@
 
 
 Name:   gnome-doc-utils
-Version:0.20.6
+Version:0.20.7
 Release:0
 Summary:A Collection of Documentation Utilities for GNOME
 License:GPL-2.0+
 Group:  System/GUI/GNOME
 Url:http://www.gnome.org
-Source: 
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/0.8/%{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/gnome-doc-utils/0.20/%{name}-%{version}.tar.xz
 BuildRequires:  docbook_4
 BuildRequires:  fdupes
 BuildRequires:  intltool
@@ -37,9 +37,6 @@
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
-%if %suse_version = 1110
-%define python_sitelib %{py_sitedir}
-%endif
 
 %description
 The gnome-doc-utils package is a collection of documentation utilities
@@ -82,7 +79,6 @@
 Summary:Tool to extract translatable content from XML documents
 License:GPL-2.0+
 Group:  System/GUI/GNOME
-Requires:   libxml2-devel
 Requires:   xml2po = %{version}
 
 %description -n xml2po-devel
@@ -118,21 +114,15 @@
 %doc AUTHORS COPYING ChangeLog NEWS README
 %dir %{_datadir}/gnome/
 %dir %{_datadir}/gnome/help/
-%dir %{_datadir}/omf/
 %dir %{_datadir}/gnome/help/gnome-doc-make/
 %doc %{_datadir}/gnome/help/gnome-doc-make/C/
-%dir %{_datadir}/omf/gnome-doc-make/
-%doc %{_datadir}/omf/gnome-doc-make/gnome-doc-make-C.omf
 %dir %{_datadir}/gnome/help/gnome-doc-xslt/
 %doc %{_datadir}/gnome/help/gnome-doc-xslt/C/
-%dir %{_datadir}/omf/gnome-doc-xslt/
-%doc %{_datadir}/omf/gnome-doc-xslt/gnome-doc-xslt-C.omf
 %{_bindir}/gnome-doc-tool
 %dir %{_datadir}/gnome-doc-utils
 %{_datadir}/gnome-doc-utils/icons
 %{_datadir}/gnome-doc-utils/watermarks
 %{_datadir}/xml/gnome
-%{_datadir}/xml/mallard
 
 %files -n xml2po
 %defattr (-, root, root)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-icon-theme for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package gnome-icon-theme for 
openSUSE:Factory checked in at 2012-03-19 09:57:04

Comparing /work/SRC/openSUSE:Factory/gnome-icon-theme (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-icon-theme.new (New)


Package is gnome-icon-theme, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/gnome-icon-theme/gnome-icon-theme.changes
2012-01-06 11:44:30.0 +0100
+++ /work/SRC/openSUSE:Factory/.gnome-icon-theme.new/gnome-icon-theme.changes   
2012-03-19 09:57:08.0 +0100
@@ -1,0 +2,7 @@
+Mon Mar  5 16:34:23 UTC 2012 - vu...@opensuse.org
+
+- Update to version 3.3.91:
+  + trophies icons
+  + UPS icon
+
+---

Old:

  gnome-icon-theme-3.2.1.2.tar.bz2

New:

  gnome-icon-theme-3.3.91.tar.xz



Other differences:
--
++ gnome-icon-theme.spec ++
--- /var/tmp/diff_new_pack.07VNVN/_old  2012-03-19 09:57:11.0 +0100
+++ /var/tmp/diff_new_pack.07VNVN/_new  2012-03-19 09:57:11.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package gnome-icon-theme
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,14 +15,15 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   gnome-icon-theme
-Version:3.2.1.2
+Version:3.3.91
 Release:0
 Summary:GNOME Icon Theme
 License:LGPL-3.0+ or CC-BY-SA-3.0
 Group:  System/GUI/GNOME
 Url:http://www.gnome.org/
-Source: 
http://download.gnome.org/sources/gnome-icon-theme/3.2/%{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/gnome-icon-theme/3.3/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  icon-naming-utils-devel

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-panel for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package gnome-panel for openSUSE:Factory 
checked in at 2012-03-19 09:57:08

Comparing /work/SRC/openSUSE:Factory/gnome-panel (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-panel.new (New)


Package is gnome-panel, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/gnome-panel/gnome-panel.changes  2012-02-28 
19:23:07.0 +0100
+++ /work/SRC/openSUSE:Factory/.gnome-panel.new/gnome-panel.changes 
2012-03-19 09:57:11.0 +0100
@@ -1,0 +2,14 @@
+Mon Mar  5 13:06:02 UTC 2012 - vu...@opensuse.org
+
+- Update to version 3.3.91:
+  + Panel:
+- Fix rendering of the handle in the applet frame widget
+- Fix themed background pattern
+- Several PanelSeparator improvements
+- Fix position re-shuffling on orientation change
+  + Misc:
+- Add --disable-documentation option
+- Fix srcdir != builddir for gresources
+  + Updated translations.
+
+---

Old:

  gnome-panel-3.3.90.tar.xz

New:

  gnome-panel-3.3.91.tar.xz



Other differences:
--
++ gnome-panel.spec ++
--- /var/tmp/diff_new_pack.xJNwvV/_old  2012-03-19 09:57:13.0 +0100
+++ /var/tmp/diff_new_pack.xJNwvV/_new  2012-03-19 09:57:13.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   gnome-panel
-Version:3.3.90
+Version:3.3.91
 Release:0
 # FIXME: gnome-main-menu not ported to new panel API, for this reason we do 
not Recommend gnome-main-menu.
 Summary:The GNOME Desktop Panel

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gobject-introspection for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package gobject-introspection for 
openSUSE:Factory checked in at 2012-03-19 09:57:17

Comparing /work/SRC/openSUSE:Factory/gobject-introspection (Old)
 and  /work/SRC/openSUSE:Factory/.gobject-introspection.new (New)


Package is gobject-introspection, Maintainer is gnome-maintain...@suse.de

Changes:

--- 
/work/SRC/openSUSE:Factory/gobject-introspection/gobject-introspection.changes  
2012-02-16 16:14:28.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.gobject-introspection.new/gobject-introspection.changes
 2012-03-19 09:57:24.0 +0100
@@ -1,0 +2,15 @@
+Mon Mar  5 15:37:46 UTC 2012 - vu...@opensuse.org
+
+- Update to version 1.31.20:
+  + scanner:
+- Allow adding annotations to vfuncs directly
+- Add better errors for unknown param names
+  + typelib: fix invalid alignment assumptions, that break
+platforms like m68k.
+  + Many improvements to g-ir-doctool.
+  + Updated annotations for glib.
+  + Several other code changes.
+  + Build and test improvements/fixes.
+- Rebase g-ir-dep-tool.patch.
+
+---

Old:

  gobject-introspection-1.31.10.tar.xz

New:

  gobject-introspection-1.31.20.tar.xz



Other differences:
--
++ gobject-introspection.spec ++
--- /var/tmp/diff_new_pack.LS18Q0/_old  2012-03-19 09:57:27.0 +0100
+++ /var/tmp/diff_new_pack.LS18Q0/_new  2012-03-19 09:57:27.0 +0100
@@ -15,8 +15,9 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   gobject-introspection
-Version:1.31.10
+Version:1.31.20
 Release:0
 # FIXME: when bgo#629930 gets fixed, move the appropriate pkg-config files to 
the main package and rename the devel package to libgirepository-devel
 Summary:GObject Introspection Tools
@@ -118,7 +119,6 @@
 %{_bindir}/g-ir-annotation-tool
 %{_bindir}/g-ir-compiler
 %{_bindir}/g-ir-dep-tool
-%{_bindir}/g-ir-doc-tool
 %{_bindir}/g-ir-generate
 %{_bindir}/g-ir-scanner
 %doc %{_mandir}/man1/g-ir-compiler.1*

++ g-ir-dep-tool.patch ++
--- /var/tmp/diff_new_pack.LS18Q0/_old  2012-03-19 09:57:27.0 +0100
+++ /var/tmp/diff_new_pack.LS18Q0/_new  2012-03-19 09:57:27.0 +0100
@@ -22,11 +22,11 @@
 +++ b/Makefile-tools.am
 @@ -1,5 +1,6 @@
  bin_PROGRAMS += g-ir-compiler g-ir-generate
- bin_SCRIPTS += g-ir-scanner g-ir-annotation-tool g-ir-doc-tool
+ bin_SCRIPTS += g-ir-scanner g-ir-annotation-tool
 +bin_PROGRAMS += g-ir-dep-tool
  
- EXTRA_DIST += \
-   tools/g-ir-scanner.in   \
+ if BUILD_DOCTOOL
+ bin_SCRIPTS += g-ir-doc-tool
 @@ -38,8 +39,15 @@ g_ir_generate_LDADD = \
libgirepository-1.0.la  \
$(GIREPO_LIBS)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gtk3 for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package gtk3 for openSUSE:Factory checked in 
at 2012-03-19 09:57:23

Comparing /work/SRC/openSUSE:Factory/gtk3 (Old)
 and  /work/SRC/openSUSE:Factory/.gtk3.new (New)


Package is gtk3, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/gtk3/gtk3.changes2012-02-28 
19:23:57.0 +0100
+++ /work/SRC/openSUSE:Factory/.gtk3.new/gtk3.changes   2012-03-19 
09:57:28.0 +0100
@@ -1,0 +2,29 @@
+Tue Mar  6 08:02:39 UTC 2012 - vu...@opensuse.org
+
+- Update to version 3.3.18:
+  + Add support for touch devices:
+- New device types GDK_SOURCE_TOUCHSCREEN and
+  GDK_SOURCE_TOUCHPAD for direct and indirect touch devices
+- New event GdkEventTouch and GDK_TOUCH_MASK
+- New signal GtkWidget::touch-event
+  + Add support for smooth scrolling:
+- Scroll events can contain scroll deltas, obtainable via
+  gdk_event_get_scroll_deltas()
+- Scroll direction for such events is GDK_SCROLL_SMOOTH
+- To receive scroll events, widgets must now set either
+  GDK_SCROLL_MASK or GDK_SMOOTH_SCROLL_MASK
+  + GtkScrolledWindow will do kinetic scrolling with touch devices
+  + XInput2 is now required for building the X11 backend, support
+for XInput1 has been removed
+  + Deprecations are now versioned, and new API is marked with the
+version it was introduced. Use these with
+GDK_VERSION_{MIN,MAX}_REQUIRED
+  + Theming:
+- Memory consumption of the CSS parser has been reduced
+- CSS selectors of the form a + b and a ~ b work now
+  + Bugs fixed: bgo#650693, bgo#655065, bgo#668141, bgo#669335,
+bgo#669342, bgo#670555, bgo#670881, bgo#671057, bgo#671070,
+bgo#671170.
+  + Updated translations.
+
+---

Old:

  gtk+-3.3.16.tar.xz

New:

  gtk+-3.3.18.tar.xz



Other differences:
--
++ gtk3.spec ++
--- /var/tmp/diff_new_pack.g1doDN/_old  2012-03-19 09:57:31.0 +0100
+++ /var/tmp/diff_new_pack.g1doDN/_new  2012-03-19 09:57:31.0 +0100
@@ -24,7 +24,7 @@
 
 Name:   gtk3
 %define _name gtk+
-Version:3.3.16
+Version:3.3.18
 Release:0
 Summary:The GTK+ toolkit library (version 3)
 License:LGPL-2.1+
@@ -48,7 +48,7 @@
 BuildRequires:  pkgconfig(colord)
 BuildRequires:  pkgconfig(fontconfig)
 BuildRequires:  pkgconfig(gdk-pixbuf-2.0) = 2.25.2
-BuildRequires:  pkgconfig(glib-2.0) = 2.31.18
+BuildRequires:  pkgconfig(glib-2.0) = 2.31.20
 BuildRequires:  pkgconfig(gmodule-2.0)
 BuildRequires:  pkgconfig(gobject-introspection-1.0)
 BuildRequires:  pkgconfig(pango)
@@ -209,8 +209,8 @@
 Requires:   %{name} = %{version}
 Requires(post): %{name}-tools
 Requires(postun): %{name}-tools
-Provides:   locale(%{name}:ko)
 Provides:   locale(%{name}:ja)
+Provides:   locale(%{name}:ko)
 Provides:   locale(%{name}:th)
 Provides:   locale(%{name}:zh)
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit iso-codes for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package iso-codes for openSUSE:Factory 
checked in at 2012-03-19 09:57:50

Comparing /work/SRC/openSUSE:Factory/iso-codes (Old)
 and  /work/SRC/openSUSE:Factory/.iso-codes.new (New)


Package is iso-codes, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/iso-codes/iso-codes.changes  2012-01-11 
15:37:58.0 +0100
+++ /work/SRC/openSUSE:Factory/.iso-codes.new/iso-codes.changes 2012-03-19 
09:57:53.0 +0100
@@ -1,0 +2,12 @@
+Sun Mar  4 11:10:04 UTC 2012 - dims...@opensuse.org
+
+- Update to version 3.33:
+  + ISO-15924:
+- Update ISO-15924 as of 2012-02-06 changes.
+  + ISO 639-3:
+- Update to 2012-02-06.
+  + ISO 3166:
+- Add accent in RĂ©union (alioth#313537).
+  + Updated translations for ISO 3166, ISO 15924 and ISO 639-3.
+
+---

Old:

  iso-codes-3.32.tar.bz2

New:

  iso-codes-3.33.tar.bz2



Other differences:
--
++ iso-codes.spec ++
--- /var/tmp/diff_new_pack.fIdUKj/_old  2012-03-19 09:57:54.0 +0100
+++ /var/tmp/diff_new_pack.fIdUKj/_new  2012-03-19 09:57:54.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   iso-codes
-Version:3.32
+Version:3.33
 Release:0
 Summary:ISO Code Lists and Translations
 License:LGPL-2.1+
@@ -69,7 +69,7 @@
 %files
 %defattr(-,root,root)
 %doc ChangeLog README TODO
-%{_datadir}/xml/iso-codes
+%{_datadir}/xml/iso-codes/
 
 %files lang -f %{name}.lang
 

++ iso-codes-3.32.tar.bz2 - iso-codes-3.33.tar.bz2 ++
/work/SRC/openSUSE:Factory/iso-codes/iso-codes-3.32.tar.bz2 
/work/SRC/openSUSE:Factory/.iso-codes.new/iso-codes-3.33.tar.bz2 differ: char 
11, line 1

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgdata for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libgdata for openSUSE:Factory 
checked in at 2012-03-19 09:57:57

Comparing /work/SRC/openSUSE:Factory/libgdata (Old)
 and  /work/SRC/openSUSE:Factory/.libgdata.new (New)


Package is libgdata, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/libgdata/libgdata.changes2012-01-09 
15:42:22.0 +0100
+++ /work/SRC/openSUSE:Factory/.libgdata.new/libgdata.changes   2012-03-19 
09:57:58.0 +0100
@@ -1,0 +2,11 @@
+Mon Mar 12 20:39:40 UTC 2012 - dims...@opensuse.org
+
+- Update to version 0.11.1:
+  + bgo#667577: fix introspection for srcdir != builddir builds.
+  + bgo#668365: libgdata 0.10.x link error because of exported
+symbols that don't exist.
+  + bgo#671535: Security issue in libgdata: Validate SSL
+certificates for all connections
+  + Updated translations.
+
+---

Old:

  libgdata-0.11.0.tar.xz

New:

  libgdata-0.11.1.tar.xz



Other differences:
--
++ libgdata.spec ++
--- /var/tmp/diff_new_pack.HAMM9a/_old  2012-03-19 09:57:59.0 +0100
+++ /var/tmp/diff_new_pack.HAMM9a/_new  2012-03-19 09:57:59.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libgdata
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,11 +15,12 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 # Update baselibs.conf when changing this
 %define _sover 13
 
 Name:   libgdata
-Version:0.11.0
+Version:0.11.1
 Release:0
 Summary:GLib-based library for accessing online service APIs using the 
GData protocol
 License:LGPL-2.1+
@@ -39,7 +40,7 @@
 # installed, so no need to depend on it
 #BuildRequires:  pkgconfig(gtk+-3.0)
 BuildRequires:  pkgconfig(libsoup-2.4)
-BuildRequires:  pkgconfig(libsoup-gnome-2.4)
+BuildRequires:  pkgconfig(libsoup-gnome-2.4) = 2.37.91
 BuildRequires:  pkgconfig(libxml-2.0)
 BuildRequires:  pkgconfig(oauth)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit itstool for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package itstool for openSUSE:Factory checked 
in at 2012-03-19 09:57:53

Comparing /work/SRC/openSUSE:Factory/itstool (Old)
 and  /work/SRC/openSUSE:Factory/.itstool.new (New)


Package is itstool, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/itstool/itstool.changes  2012-02-16 
16:17:03.0 +0100
+++ /work/SRC/openSUSE:Factory/.itstool.new/itstool.changes 2012-03-19 
09:57:55.0 +0100
@@ -1,0 +2,7 @@
+Tue Mar  6 13:46:28 UTC 2012 - co...@suse.com
+
+- Remove python BuildRequires and %py_requires: we only need a
+  minimal python, which libxml2-python will bring in both cases;
+  and we don't need a specific version of python.
+
+---



Other differences:
--
++ itstool.spec ++
--- /var/tmp/diff_new_pack.exvTHO/_old  2012-03-19 09:57:56.0 +0100
+++ /var/tmp/diff_new_pack.exvTHO/_new  2012-03-19 09:57:56.0 +0100
@@ -15,6 +15,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   itstool
 Version:1.1.2
 Release:0
@@ -24,11 +25,9 @@
 Url:http://itstool.org
 Source: http://files.itstool.org/itstool/%{name}-%{version}.tar.bz2
 BuildRequires:  libxml2-python
-BuildRequires:  python
 Requires:   libxml2-python
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
-%py_requires
 
 %description
 ITS Tool extracts messages from XML files and outputs PO template files, then
@@ -47,9 +46,6 @@
 %install
 %make_install
 
-%clean
-%{?buildroot:%__rm -rf %{buildroot}}
-
 %files
 %defattr(-,root,root)
 %doc ChangeLog COPYING COPYING.GPL3 NEWS

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgnome-keyring for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libgnome-keyring for 
openSUSE:Factory checked in at 2012-03-19 09:58:02

Comparing /work/SRC/openSUSE:Factory/libgnome-keyring (Old)
 and  /work/SRC/openSUSE:Factory/.libgnome-keyring.new (New)


Package is libgnome-keyring, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/libgnome-keyring/libgnome-keyring.changes
2012-02-16 16:18:18.0 +0100
+++ /work/SRC/openSUSE:Factory/.libgnome-keyring.new/libgnome-keyring.changes   
2012-03-19 09:58:04.0 +0100
@@ -1,0 +2,7 @@
+Fri Mar  9 19:09:09 UTC 2012 - dims...@opensuse.org
+
+- Update to version 3.3.91:
+  + GObject introspection fixes.
+  + Build fixes.
+
+---

Old:

  libgnome-keyring-3.3.5.tar.xz

New:

  libgnome-keyring-3.3.91.tar.xz



Other differences:
--
++ libgnome-keyring.spec ++
--- /var/tmp/diff_new_pack.4LNh9w/_old  2012-03-19 09:58:05.0 +0100
+++ /var/tmp/diff_new_pack.4LNh9w/_new  2012-03-19 09:58:05.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   libgnome-keyring
-Version:3.3.5
+Version:3.3.91
 Release:0
 Url:http://www.gnome.org/
 Summary:Library to integrate with the GNOME Keyring

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgweather for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libgweather for openSUSE:Factory 
checked in at 2012-03-19 09:58:10

Comparing /work/SRC/openSUSE:Factory/libgweather (Old)
 and  /work/SRC/openSUSE:Factory/.libgweather.new (New)


Package is libgweather, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/libgweather/libgweather.changes  2012-02-28 
14:14:03.0 +0100
+++ /work/SRC/openSUSE:Factory/.libgweather.new/libgweather.changes 
2012-03-19 09:58:12.0 +0100
@@ -1,0 +2,17 @@
+Fri Mar  9 22:20:39 UTC 2012 - dims...@opensuse.org
+
+- Update to version 3.4.1:
+  + Link with libm explicitly
+  + Set the URL for the package's home page in AC_INIT
+- Drop libgweather-libm.patch: fixed upstream.
+
+---
+Wed Mar  7 21:16:35 UTC 2012 - dims...@opensuse.org
+
+- Update to version 3.4.0:
+  + Move API documentation to inline comments
+  + Improve autotools configuration a bit
+  + Updated translations.
+- Add libgweather-libm.patch: link against libm where needed.
+
+---

Old:

  libgweather-3.2.1.tar.bz2

New:

  libgweather-3.4.1.tar.xz



Other differences:
--
++ libgweather.spec ++
--- /var/tmp/diff_new_pack.jemovB/_old  2012-03-19 09:58:14.0 +0100
+++ /var/tmp/diff_new_pack.jemovB/_new  2012-03-19 09:58:14.0 +0100
@@ -17,13 +17,13 @@
 
 
 Name:   libgweather
-Version:3.2.1
+Version:3.4.1
 Release:0
 Summary:Library to get online weather information
 License:GPL-2.0+
 Group:  Development/Libraries/GNOME
 Url:http://developer.gnome.org/libgweather/
-Source: 
http://download.gnome.org/sources/libgweather/3.2/%{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/libgweather/3.4/%{name}-%{version}.tar.xz
 Source99:   baselibs.conf
 # PATCH-FEATURE-OPENSUSE libgweather-bnc428346-bundle.patch bnc428346 
vu...@novell.com -- Support a bundle directory so that bundle-lang-gnome-* 
doesn't conflict with libgweather-lang.
 Patch1: libgweather-bnc428346-bundle.patch

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libproxy for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libproxy for openSUSE:Factory 
checked in at 2012-03-19 09:58:15

Comparing /work/SRC/openSUSE:Factory/libproxy (Old)
 and  /work/SRC/openSUSE:Factory/.libproxy.new (New)


Package is libproxy, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/libproxy/libproxy-plugins.changes
2012-02-03 10:23:49.0 +0100
+++ /work/SRC/openSUSE:Factory/.libproxy.new/libproxy-plugins.changes   
2012-03-19 09:58:18.0 +0100
@@ -1,0 +2,5 @@
+Tue Mar 13 21:19:29 UTC 2012 - dims...@opensuse.org
+
+- Add libproxy-gcc47.patch: Fix build with gcc 4.7.
+
+---
libproxy.changes: same change

New:

  libproxy-gcc47.patch



Other differences:
--
++ libproxy-plugins.spec ++
--- /var/tmp/diff_new_pack.6kqEVa/_old  2012-03-19 09:58:23.0 +0100
+++ /var/tmp/diff_new_pack.6kqEVa/_new  2012-03-19 09:58:23.0 +0100
@@ -51,6 +51,8 @@
 Patch1: libproxy-mozjs185.patch
 # PATCH-FIX-UPSTREAM libproxy-trim-ignores.patch bnc#739069 
dims...@opensuse.org -- Trim strings in ignore list; taken from upstream svn, 
r821.
 Patch2: libproxy-trim-ignores.patch
+# PATCH-FIX-UPSTREAM libproxy-gcc47.patch dims...@opensuse.org -- Fix build 
with gcc 4.7. Taken from upstream svn, r833.
+Patch3: libproxy-gcc47.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  cmake
 BuildRequires:  gcc-c++
@@ -73,10 +75,10 @@
 BuildRequires:  pkgconfig(gobject-2.0)
 BuildRequires:  pkgconfig(webkitgtk-3.0)
 %endif
-BuildRequires:  pkgconfig(mozjs185)
 BuildRequires:  NetworkManager-devel
 BuildRequires:  libkde4-devel
 BuildRequires:  libqt4-devel
+BuildRequires:  pkgconfig(mozjs185)
 %endif
 %else
 %if 0%{?have_mono}
@@ -309,6 +311,7 @@
 %patch0 -p0
 %patch1 -p1
 %patch2 -p0
+%patch3 -p1
 mkdir build
 
 %build

++ libproxy.spec ++
--- /var/tmp/diff_new_pack.6kqEVa/_old  2012-03-19 09:58:23.0 +0100
+++ /var/tmp/diff_new_pack.6kqEVa/_new  2012-03-19 09:58:23.0 +0100
@@ -51,6 +51,8 @@
 Patch1: libproxy-mozjs185.patch
 # PATCH-FIX-UPSTREAM libproxy-trim-ignores.patch bnc#739069 
dims...@opensuse.org -- Trim strings in ignore list; taken from upstream svn, 
r821.
 Patch2: libproxy-trim-ignores.patch
+# PATCH-FIX-UPSTREAM libproxy-gcc47.patch dims...@opensuse.org -- Fix build 
with gcc 4.7. Taken from upstream svn, r833.
+Patch3: libproxy-gcc47.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  cmake
 BuildRequires:  gcc-c++
@@ -73,10 +75,10 @@
 BuildRequires:  pkgconfig(gobject-2.0)
 BuildRequires:  pkgconfig(webkitgtk-3.0)
 %endif
-BuildRequires:  pkgconfig(mozjs185)
 BuildRequires:  NetworkManager-devel
 BuildRequires:  libkde4-devel
 BuildRequires:  libqt4-devel
+BuildRequires:  pkgconfig(mozjs185)
 %endif
 %else
 %if 0%{?have_mono}
@@ -309,6 +311,7 @@
 %patch0 -p0
 %patch1 -p1
 %patch2 -p0
+%patch3 -p1
 mkdir build
 
 %build

++ libproxy-gcc47.patch ++
Index: libproxy-0.4.7/libproxy/modules/config_sysconfig.cpp
===
--- libproxy-0.4.7.orig/libproxy/modules/config_sysconfig.cpp
+++ libproxy-0.4.7/libproxy/modules/config_sysconfig.cpp
@@ -21,6 +21,9 @@
 #include cstdlib
 #include map
 #include fstream
+#include unistd.h
+#include sys/types.h
+
 
 #include ../extension_config.hpp
 using namespace libproxy;
Index: libproxy-0.4.7/libproxy/modules/pacrunner_mozjs.cpp
===
--- libproxy-0.4.7.orig/libproxy/modules/pacrunner_mozjs.cpp
+++ libproxy-0.4.7/libproxy/modules/pacrunner_mozjs.cpp
@@ -18,6 +18,7 @@
  
**/
 
 #include cstring // ?
+#include unistd.h // gethostname
 
 #include ../extension_pacrunner.hpp
 using namespace libproxy;
@@ -85,7 +86,7 @@ static JSBool myIpAddress(JSContext *cx,
if (!gethostname(hostname, 1023)) {
JSString *myhost = JS_NewStringCopyN(cx, hostname, 
strlen(hostname));
jsval arg = STRING_TO_JSVAL(myhost);
-   return dnsResolve_(cx, 1, arg);
+   return dnsResolve_(cx, arg, vp);
}
JS_free(cx, hostname);
JS_SET_RVAL(cx, vp, JSVAL_NULL);
Index: libproxy-0.4.7/libproxy/modules/pacrunner_natus.cpp
===
--- libproxy-0.4.7.orig/libproxy/modules/pacrunner_natus.cpp
+++ libproxy-0.4.7/libproxy/modules/pacrunner_natus.cpp
@@ -18,6 +18,7 @@
  
**/
 
 #include 

commit libsoup for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libsoup for openSUSE:Factory checked 
in at 2012-03-19 09:58:21

Comparing /work/SRC/openSUSE:Factory/libsoup (Old)
 and  /work/SRC/openSUSE:Factory/.libsoup.new (New)


Package is libsoup, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/libsoup/libsoup.changes  2012-02-28 
19:24:41.0 +0100
+++ /work/SRC/openSUSE:Factory/.libsoup.new/libsoup.changes 2012-03-19 
09:58:24.0 +0100
@@ -1,0 +2,21 @@
+Tue Mar  6 08:09:16 UTC 2012 - vu...@opensuse.org
+
+- Update to version 2.37.91:
+  + Fixed an out-of-bounds memory read that could occur when
+parsing malformed requests/responses.
+  + Fixed a build-related bug in Makefile.glib that affected
+locales such as Estonian where Z is not the last (ASCII)
+letter of the alphabet. [bgo#654395]
+  + Fixed the handling of file: URIs with query components, which
+got broken in 2.37.90.
+  + Fixed SoupAuthManagerNTLM to not fall back to allowing Basic
+auth when NTLM failed.
+  + Further tweaked the warnings/fallback in SoupURI, so that
+soup_uri_to_string() on an http URI with a NULL path would
+translate that to / like it used to. [bgo#670431]
+  + Fixed a warning when cancelling the load of a page with many
+subresources. [bgo#667245]
+  + Use G_GNUC_BEGIN/END_IGNORE_DEPRECATIONS if GLib is new enough,
+to avoid getting warned about the use of GValueArray.
+
+---

Old:

  libsoup-2.37.90.tar.xz

New:

  libsoup-2.37.91.tar.xz



Other differences:
--
++ libsoup.spec ++
--- /var/tmp/diff_new_pack.tHhf4m/_old  2012-03-19 09:58:27.0 +0100
+++ /var/tmp/diff_new_pack.tHhf4m/_new  2012-03-19 09:58:27.0 +0100
@@ -20,7 +20,7 @@
 Summary:HTTP client/server library for GNOME
 License:LGPL-2.1+
 Group:  Development/Libraries/GNOME
-Version:2.37.90
+Version:2.37.91
 Release:0
 Url:http://www.gnome.org
 Source: 
http://download.gnome.org/sources/libsoup/2.37/%{name}-%{version}.tar.xz

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libwebkit for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libwebkit for openSUSE:Factory 
checked in at 2012-03-19 09:58:29

Comparing /work/SRC/openSUSE:Factory/libwebkit (Old)
 and  /work/SRC/openSUSE:Factory/.libwebkit.new (New)


Package is libwebkit, Maintainer is dmzh...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libwebkit/libwebkit.changes  2012-03-01 
07:49:34.0 +0100
+++ /work/SRC/openSUSE:Factory/.libwebkit.new/libwebkit.changes 2012-03-19 
09:58:41.0 +0100
@@ -1,0 +2,24 @@
+Mon Mar 12 13:37:11 UTC 2012 - vu...@opensuse.org
+
+- Update to version 1.7.91:
+  + Properly advertise flac support for the audio tag.
+  + Fix a WebProcess segmentation fault related to clipboard
+handling.
+  + Add a Find API for WebKit2.
+  + Add zoom-text-only setting to WebKit2 GTK+ API.
+  + Miscellaneous build fixes.
+- Drop libwebkit-fix-gtk2.patch: fixed upstream.
+
+---
+Mon Feb 27 19:59:02 CET 2012 - dmuel...@suse.de
+
+- Fix build on ARM (reducing functionality that is compiled in).
+  When building for ARM, pass these to configure:
+  --disable-webgl
+  --disable-sql-database
+  --disable-svg
+- Add some configure options: --enable-javascript-debugger
+  (useful), --disable-static and --enable-shared (since we care
+  only about shared libraries).
+
+---
libwebkit3.changes: same change

Old:

  libwebkit-fix-gtk2.patch
  webkit-1.7.90.tar.xz

New:

  webkit-1.7.91.tar.xz



Other differences:
--
++ libwebkit.spec ++
--- /var/tmp/diff_new_pack.xMJCgm/_old  2012-03-19 09:58:43.0 +0100
+++ /var/tmp/diff_new_pack.xMJCgm/_new  2012-03-19 09:58:43.0 +0100
@@ -43,7 +43,7 @@
 Summary:Library for rendering web content, GTK+ Port
 License:LGPL-2.0 ; LGPL-2.0+
 Group:  Development/Libraries/C and C++
-Version:1.7.90
+Version:1.7.91
 Release:0
 # FIXME: get upstream to fix the conflict on gtk-doc docs between gtk2 and 
gtk3 versions
 # FIXME: after 1.7.90, remove workaround in %%setup that is needed to fix the 
build
@@ -54,8 +54,6 @@
 Patch0: webkit-gir-fixup.patch
 # PATCH-FIX-OPENSUSE webkit-ld-optimization.patch vu...@opensuse.org -- Add ld 
options to use less memory when linking, should help building on OBS, but this 
will be slower
 Patch2: webkit-ld-optimization.patch
-# PATCH-FIX-UPSTREAM libwebkit-fix-gtk2.patch vu...@opensuse.org -- Fix build 
of the gtk+ 2 version, sent upstream by irc
-Patch3: libwebkit-fix-gtk2.patch
 BuildRequires:  Mesa-devel
 BuildRequires:  bison
 BuildRequires:  flex
@@ -223,7 +221,6 @@
 %setup -q -n webkit-%{version}
 %patch0 -p1
 %patch2
-%patch3 -p1
 # FIXME: workaround needed in  1.7.90 to fix build
 mkdir DerivedSources/ANGLE
 mkdir DerivedSources/InjectedBundle
@@ -238,9 +235,17 @@
 %configure \
 --with-gtk=%{_gtkver} \
--enable-geolocation \
---enable-introspection
-make
-#make %{?jobs:-j %jobs}
+--enable-introspection \
+   --enable-javascript-debugger \
+%ifarch %arm
+   --disable-webgl \
+   --disable-sql-database \
+   --disable-svg \
+%endif
+   --disable-static \
+   --enable-shared
+#make VERBOSE=1 %{?jobs:-j %jobs}
+make VERBOSE=1
 
 %install
 %makeinstall

++ libwebkit3.spec ++
--- /var/tmp/diff_new_pack.xMJCgm/_old  2012-03-19 09:58:43.0 +0100
+++ /var/tmp/diff_new_pack.xMJCgm/_new  2012-03-19 09:58:43.0 +0100
@@ -43,7 +43,7 @@
 Summary:Library for rendering web content, GTK+ Port
 License:LGPL-2.0 ; LGPL-2.0+
 Group:  Development/Libraries/C and C++
-Version:1.7.90
+Version:1.7.91
 Release:0
 # FIXME: get upstream to fix the conflict on gtk-doc docs between gtk2 and 
gtk3 versions
 # FIXME: after 1.7.90, remove workaround in %%setup that is needed to fix the 
build
@@ -54,8 +54,6 @@
 Patch0: webkit-gir-fixup.patch
 # PATCH-FIX-OPENSUSE webkit-ld-optimization.patch vu...@opensuse.org -- Add ld 
options to use less memory when linking, should help building on OBS, but this 
will be slower
 Patch2: webkit-ld-optimization.patch
-# PATCH-FIX-UPSTREAM libwebkit-fix-gtk2.patch vu...@opensuse.org -- Fix build 
of the gtk+ 2 version, sent upstream by irc
-Patch3: libwebkit-fix-gtk2.patch
 BuildRequires:  Mesa-devel
 BuildRequires:  bison
 BuildRequires:  flex
@@ -223,7 +221,6 @@
 %setup -q -n webkit-%{version}
 %patch0 -p1
 %patch2
-%patch3 -p1
 # FIXME: workaround needed in  1.7.90 to fix build
 mkdir DerivedSources/ANGLE
 mkdir DerivedSources/InjectedBundle
@@ -238,9 +235,17 @@
 %configure \
 --with-gtk=%{_gtkver} \
  

commit libwnck2 for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libwnck2 for openSUSE:Factory 
checked in at 2012-03-19 09:58:39

Comparing /work/SRC/openSUSE:Factory/libwnck2 (Old)
 and  /work/SRC/openSUSE:Factory/.libwnck2.new (New)


Package is libwnck2, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/libwnck2/libwnck2.changes2012-02-21 
12:21:19.0 +0100
+++ /work/SRC/openSUSE:Factory/.libwnck2.new/libwnck2.changes   2012-03-19 
09:58:43.0 +0100
@@ -1,0 +2,7 @@
+Wed Mar  7 04:54:09 UTC 2012 - praful.joh...@gmail.com
+
+- Update to version 2.31.0:
+  + Add wnck_pager_set_layout_policy() API.
+  + Add macros to determine libwnck version at build time.
+
+---

Old:

  libwnck-2.30.7.tar.bz2

New:

  libwnck-2.31.0.tar.xz



Other differences:
--
++ libwnck2.spec ++
--- /var/tmp/diff_new_pack.mKURG7/_old  2012-03-19 09:58:44.0 +0100
+++ /var/tmp/diff_new_pack.mKURG7/_new  2012-03-19 09:58:44.0 +0100
@@ -18,7 +18,7 @@
 
 Name:   libwnck2
 %define _name   libwnck
-Version:2.30.7
+Version:2.31.0
 Release:0
 # WARNING: After changing versions please call Re or rpmbuild to auto-update 
spec file:
 #%(sh %{_sourcedir}/%{name}_spec-update.sh %{_sourcedir} %{name} libwnck-1)
@@ -26,7 +26,7 @@
 Summary:Window Navigator Construction Kit (Library Package)
 License:LGPL-2.1+
 Group:  Development/Libraries/GNOME
-Source: 
http://download.gnome.org/sources/libwnck/2.30/%{_name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/libwnck/2.31/%{_name}-%{version}.tar.xz
 Source1:%{name}_spec-update.sh
 Source99:   baselibs.conf
 BuildRequires:  fdupes

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit nautilus for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package nautilus for openSUSE:Factory 
checked in at 2012-03-19 09:58:49

Comparing /work/SRC/openSUSE:Factory/nautilus (Old)
 and  /work/SRC/openSUSE:Factory/.nautilus.new (New)


Package is nautilus, Maintainer is dli...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/nautilus/nautilus.changes2012-02-28 
19:25:10.0 +0100
+++ /work/SRC/openSUSE:Factory/.nautilus.new/nautilus.changes   2012-03-19 
09:58:51.0 +0100
@@ -1,0 +2,17 @@
+Mon Mar  5 21:17:19 UTC 2012 - dims...@opensuse.org
+
+- Update to version 3.3.91:
+  + Ensure pathbar scrolling works with latest GTK
+  + Fix a crash when unmounting volumes with non-empty trash
+  + Fix a race condition leading to a crash when closing window
+slots under certain circumstances.
+- Replace libexempi-devel BuildRequires with pkgconfig(exempi-2.0).
+- Remove gtk2-devel Requires from -devel package. It's been a while
+  that nautilus is using gtk3.
+- Remove glib2-devel Requires from -devel package: it is added
+  automatically the pkgconfig() way.
+- Drop nautilus-sysadmin-desktop-items.diff: the feature which this
+  patch implemented is obsolete by now, as we do not have desktop
+  icons by default anymore (bnc#533598).
+
+---

Old:

  nautilus-3.3.90.tar.xz
  nautilus-sysadmin-desktop-items.diff

New:

  nautilus-3.3.91.tar.xz



Other differences:
--
++ nautilus.spec ++
--- /var/tmp/diff_new_pack.PoOtuf/_old  2012-03-19 09:58:53.0 +0100
+++ /var/tmp/diff_new_pack.PoOtuf/_new  2012-03-19 09:58:53.0 +0100
@@ -17,9 +17,8 @@
 
 
 Name:   nautilus
-Version:3.3.90
+Version:3.3.91
 Release:0
-# FIXME: replace libexempi-devel BuildRequires with pkgconfig(exempi-2.0) once 
fixed exempi is in
 Summary:File Manager for the GNOME Desktop
 License:GPL-2.0+
 Group:  Productivity/File utilities
@@ -31,8 +30,6 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 # PATCH-NEEDS-REBASE nautilus-drives-and-volumes-on-desktop.diff bnc335411 
feder...@novell.com
 Patch15:nautilus-drives-and-volumes-on-desktop.diff
-# PATCH-NEEDS-REBASE nautilus-sysadmin-desktop-items.diff fate305252 
feder...@novell.com -- Support sysadmin-defined desktop items (was 
PATCH-FEATURE-OPENSUSE)
-Patch21:nautilus-sysadmin-desktop-items.diff
 # needed for directory ownership
 BuildRequires:  dbus-1
 BuildRequires:  fdupes
@@ -41,16 +38,16 @@
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  gtk-doc
 BuildRequires:  intltool
-BuildRequires:  libexempi-devel
 BuildRequires:  libselinux-devel
 # We need the %%mime_database_* macros
 BuildRequires:  shared-mime-info
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
+BuildRequires:  pkgconfig(exempi-2.0)
 BuildRequires:  pkgconfig(gail-3.0)
 BuildRequires:  pkgconfig(glib-2.0) = 2.31.9
 BuildRequires:  pkgconfig(gnome-desktop-3.0)
-BuildRequires:  pkgconfig(gtk+-3.0) = 3.3.7
+BuildRequires:  pkgconfig(gtk+-3.0) = 3.3.17
 BuildRequires:  pkgconfig(libexif)
 BuildRequires:  pkgconfig(libnotify)
 BuildRequires:  pkgconfig(libxml-2.0)
@@ -89,7 +86,7 @@
 %package devel
 Summary:File Manager for the GNOME Desktop -- Development Files
 Group:  Development/Libraries/GNOME
-Requires:   %{name} = %{version} glib2-devel gtk2-devel
+Requires:   %{name} = %{version}
 Requires:   typelib-1_0-Nautilus-3_0 = %{version}
 Provides:   nautilus2-devel = %{version}
 Obsoletes:  nautilus2-devel  %{version}
@@ -105,7 +102,6 @@
 translation-update-upstream
 #gnome-patch-translation-prepare
 ### %patch15 -p1
-#%patch21 -p1
 #gnome-patch-translation-update
 
 %build

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit p11-kit for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package p11-kit for openSUSE:Factory checked 
in at 2012-03-19 09:58:56

Comparing /work/SRC/openSUSE:Factory/p11-kit (Old)
 and  /work/SRC/openSUSE:Factory/.p11-kit.new (New)


Package is p11-kit, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/p11-kit/p11-kit.changes  2012-02-16 
16:21:23.0 +0100
+++ /work/SRC/openSUSE:Factory/.p11-kit.new/p11-kit.changes 2012-03-19 
09:58:57.0 +0100
@@ -1,0 +2,6 @@
+Fri Mar  9 19:37:44 UTC 2012 - dims...@opensuse.org
+
+- Update to version 0.12:
+  + Build fix.
+
+---

Old:

  p11-kit-0.11.tar.gz

New:

  p11-kit-0.12.tar.gz



Other differences:
--
++ p11-kit.spec ++
--- /var/tmp/diff_new_pack.uN2jgM/_old  2012-03-19 09:58:59.0 +0100
+++ /var/tmp/diff_new_pack.uN2jgM/_new  2012-03-19 09:58:59.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   p11-kit
-Version:0.11
+Version:0.12
 Release:0
 Summary:Library to work with PKCS#11 modules
 License:BSD-3-Clause

++ p11-kit-0.11.tar.gz - p11-kit-0.12.tar.gz ++
 5923 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit PackageKit for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package PackageKit for openSUSE:Factory 
checked in at 2012-03-19 09:59:05

Comparing /work/SRC/openSUSE:Factory/PackageKit (Old)
 and  /work/SRC/openSUSE:Factory/.PackageKit.new (New)


Package is PackageKit, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/PackageKit/PackageKit.changes2012-02-16 
16:21:27.0 +0100
+++ /work/SRC/openSUSE:Factory/.PackageKit.new/PackageKit.changes   
2012-03-19 09:59:08.0 +0100
@@ -1,0 +2,28 @@
+Fri Mar  2 10:59:58 UTC 2012 - vu...@opensuse.org
+
+- Update to version 0.7.3:
+  + New Features:
+- Add LANGUAGE_SUPPORT what-provides type
+  + Libraries (glib):
+- Don't segfault the client if there are no cached properties
+- Fix a critical warning in gnome-settings-daemon when setting
+  the proxy
+- Fix transfer annotation of pk_results_get_package_sack()
+- Fix transfer annotations for GPtrArray returns
+- Do not send progress updates for non-verb packages
+  + Non-zypp backends updates.
+  + Bugfixes:
+- Document CODEC what-provides type
+- Don't crash when the system bus isn't available, just abort
+  with an error
+- Fix a critical warning when starting gnome-settings-daemon
+- Imply the install trusted polkit auth when we get the remove
+  auth
+- Imply the install trusted polkit auth when we get the
+  untrusted auth
+- Port the session example code to GDBus
+- Website updates.
+- Remove xz BuildRequires now that it comes for free in the build
+  system.
+
+---

Old:

  PackageKit-0.7.2.tar.xz

New:

  PackageKit-0.7.3.tar.xz



Other differences:
--
++ PackageKit.spec ++
--- /var/tmp/diff_new_pack.YxVSis/_old  2012-03-19 09:59:10.0 +0100
+++ /var/tmp/diff_new_pack.YxVSis/_new  2012-03-19 09:59:10.0 +0100
@@ -34,7 +34,7 @@
 %endif
 
 Name:   PackageKit
-Version:0.7.2
+Version:0.7.3
 Release:0
 BuildRequires:  NetworkManager-devel
 BuildRequires:  automake
@@ -67,8 +67,6 @@
 BuildRequires:  shared-mime-info
 BuildRequires:  sqlite-devel
 BuildRequires:  translation-update-upstream
-# Only needed because we don't (and won't) support building xz tarballs by 
default... See bnc#697467
-BuildRequires:  xz
 Summary:Simple software installation management software
 License:GPL-2.0+
 Group:  System/Daemons

++ 0001-Change-the-configuration-of-the-cron-script-to-a-sys.patch ++
--- /var/tmp/diff_new_pack.YxVSis/_old  2012-03-19 09:59:10.0 +0100
+++ /var/tmp/diff_new_pack.YxVSis/_new  2012-03-19 09:59:10.0 +0100
@@ -1,12 +1,12 @@
-From 1cc0fe92824696e1a76efa3ae634e807a92c1bad Mon Sep 17 00:00:00 2001
+From f30bd44a4998df7b17d04d283f3c54abfd330d09 Mon Sep 17 00:00:00 2001
 From: Vincent Untz vu...@opensuse.org
 Date: Tue, 26 Jul 2011 11:34:22 +0200
 Subject: [PATCH 1/2] Change the configuration of the cron script to a
  sysconfig-like config
 
 ---
- contrib/cron/packagekit-background |   43 +++
- 1 files changed, 33 insertions(+), 10 deletions(-)
+ contrib/cron/packagekit-background |   43 +++-
+ 1 file changed, 33 insertions(+), 10 deletions(-)
 
 diff --git a/contrib/cron/packagekit-background 
b/contrib/cron/packagekit-background
 index e5b5c9b..783e2df 100644
@@ -65,5 +65,5 @@
 +#
  SLEEP_MAX=3600
 -- 
-1.7.8
+1.7.9.2
 

++ 0002-Build-against-npapi-sdk-instead-of-xulrunner.patch ++
--- /var/tmp/diff_new_pack.YxVSis/_old  2012-03-19 09:59:10.0 +0100
+++ /var/tmp/diff_new_pack.YxVSis/_new  2012-03-19 09:59:10.0 +0100
@@ -1,4 +1,4 @@
-From 54bf835491693986f50d90fb7f8734e3c69af6d0 Mon Sep 17 00:00:00 2001
+From d5810deb4748946db068d7ff4912112b63f2f6c1 Mon Sep 17 00:00:00 2001
 From: Wolfgang Rosenauer w...@rosenauer.org
 Date: Tue, 25 Oct 2011 14:27:15 +0200
 Subject: [PATCH 2/2] Build against npapi-sdk instead of xulrunner
@@ -6,10 +6,10 @@
 https://bugs.freedesktop.org/show_bug.cgi?id=40026
 ---
  configure.ac |2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/configure.ac b/configure.ac
-index ad2b2d0..cfc0c2b 100644
+index a40eeb0..5632b4b 100644
 --- a/configure.ac
 +++ b/configure.ac
 @@ -348,7 +348,7 @@ AC_ARG_ENABLE(browser_plugin, 
AS_HELP_STRING([--enable-browser-plugin],[Build br
@@ -22,5 +22,5 @@
  nspr = 4.8   \
  cairo \
 -- 
-1.7.8
+1.7.9.2
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: 

commit scrollkeeper for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package scrollkeeper for openSUSE:Factory 
checked in at 2012-03-19 09:59:10

Comparing /work/SRC/openSUSE:Factory/scrollkeeper (Old)
 and  /work/SRC/openSUSE:Factory/.scrollkeeper.new (New)


Package is scrollkeeper, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/scrollkeeper/scrollkeeper.changes
2012-02-28 14:16:09.0 +0100
+++ /work/SRC/openSUSE:Factory/.scrollkeeper.new/scrollkeeper.changes   
2012-03-19 09:59:11.0 +0100
@@ -1,0 +2,11 @@
+Mon Feb 27 07:52:58 UTC 2012 - vu...@opensuse.org
+
+- Remove /bin/touch PreReq: it isn't needed as far as I can tell.
+- Remove /usr/bin/xmlcatalog and libxml2 PreReq: while
+  edit-xml-catalog (from sgml-skel, which we use in scriptlets)
+  uses binaries from libxml2-tools, we're not supposed to know
+  that.
+- Remove docbook_4 and libxslt PreReq: I don't think this is
+  needed.
+
+---



Other differences:
--
++ scrollkeeper.spec ++
--- /var/tmp/diff_new_pack.VsvdXJ/_old  2012-03-19 09:59:12.0 +0100
+++ /var/tmp/diff_new_pack.VsvdXJ/_new  2012-03-19 09:59:12.0 +0100
@@ -43,7 +43,7 @@
 Requires:   libxslt
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Url:http://scrollkeeper.sourceforge.net/
-PreReq: /bin/touch sgml-skel /usr/bin/xmlcatalog libxml2 docbook_4 
libxslt
+PreReq: sgml-skel
 Requires(post): update-alternatives
 Requires(postun): update-alternatives
 # The build service fails to build the package because it doesn't really
@@ -62,15 +62,6 @@
 It will also be able to communicate with catalog servers on the net to
 search for documents which are not on the local system.
 
-
-
-Authors:
-
-Dan Mueth m...@alumni.uchicago.edu
-Eric Fischer e...@eazel.com
-Gregory Leblanc glebl...@cu-portland.edu
-Laszlo Kovacs laszlo.kov...@sun.com
-
 %lang_package
 %prep
 %setup -q

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit flac for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package flac for openSUSE:Factory checked in 
at 2012-03-19 10:03:32

Comparing /work/SRC/openSUSE:Factory/flac (Old)
 and  /work/SRC/openSUSE:Factory/.flac.new (New)


Package is flac, Maintainer is ti...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/flac/flac.changes2012-03-09 
21:22:32.0 +0100
+++ /work/SRC/openSUSE:Factory/.flac.new/flac.changes   2012-03-19 
10:03:36.0 +0100
@@ -1,0 +2,9 @@
+Tue Mar 13 20:45:17 UTC 2012 - dims...@opensuse.org
+
+- Add flac-gcc47.patch: Replacing strcpy without 'lenght
+  limitation' with strncpy, limited to 4 chars. This is safe, as we
+  check the length already to be sure it is 4 chars, yet do not
+  suffer from the problem that strcpy wants to add a '\0' char in
+  plus to the target string.
+
+---

New:

  flac-gcc47.patch



Other differences:
--
++ flac.spec ++
--- /var/tmp/diff_new_pack.pgTlo2/_old  2012-03-19 10:03:37.0 +0100
+++ /var/tmp/diff_new_pack.pgTlo2/_new  2012-03-19 10:03:37.0 +0100
@@ -16,7 +16,6 @@
 #
 
 
-
 Name:   flac
 BuildRequires:  gcc-c++
 BuildRequires:  libogg-devel
@@ -30,12 +29,12 @@
 Obsoletes:  flac-64bit
 %endif
 Version:1.2.1
-Release:83
-License:BSD-3-Clause
+Release:0
 #
 Summary:Free Lossless Audio Codec
-Url:http://flac.sourceforge.net/
+License:BSD-3-Clause
 Group:  Productivity/Multimedia/Sound/Utilities
+Url:http://flac.sourceforge.net/
 Source: %{name}-%{version}.tar.bz2
 Source2:baselibs.conf
 # PATCH-MISSING-TAG -- See 
http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
@@ -53,13 +52,14 @@
 Patch6: flac-visibility.patch
 Patch7: flac-leaks.patch
 Patch8: flac-disable-hidden-visibility-for-ppc.patch
+# PATCH-FIX-UPSTREAM flac-gcc47.patch dims...@opensuse.org -- Fix build with 
gcc 4.7
+Patch9: flac-gcc47.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
 FLAC is an open source lossless audio codec developed by Josh Coalson.
 
 %package -n libFLAC8
-License:BSD-3-Clause
 Summary:Free Lossless Audio Codec Library
 Group:  System/Libraries
 Obsoletes:  libflac = %{version}
@@ -70,7 +70,6 @@
 developed by Josh Coalson.
 
 %package -n libFLAC++6
-License:BSD-3-Clause
 Summary:Free Lossless Audio Codec Library
 Group:  System/Libraries
 
@@ -79,7 +78,6 @@
 Codec) developed by Josh Coalson.
 
 %package devel
-License:BSD-3-Clause
 Summary:FLAC Library Development Package
 Group:  Development/Libraries/C and C++
 Requires:   glibc-devel
@@ -104,6 +102,7 @@
 %ifarch ppc ppc64
 %patch8 -p1
 %endif
+%patch9 -p1
 
 %build
 autoreconf --force --install

++ flac-gcc47.patch ++
Index: flac-1.2.1/src/metaflac/options.c
===
--- flac-1.2.1.orig/src/metaflac/options.c
+++ flac-1.2.1/src/metaflac/options.c
@@ -1041,7 +1041,7 @@ FLAC__bool parse_block_type(const char *
out-entries[entry].filter_application_by_id = (0 != r);
if(0 != r) {
if(strlen(r) == 4) {
-   
strcpy(out-entries[entry].application_id, r);
+   
memcpy(out-entries[entry].application_id, r, 4);
}
else if(strlen(r) == 10  strncmp(r, 0x, 2) 
== 0  strspn(r+2, 0123456789ABCDEFabcdef) == 8) {
FLAC__uint32 x = strtoul(r+2, 0, 16);
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit sensors for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package sensors for openSUSE:Factory checked 
in at 2012-03-19 10:04:17

Comparing /work/SRC/openSUSE:Factory/sensors (Old)
 and  /work/SRC/openSUSE:Factory/.sensors.new (New)


Package is sensors, Maintainer is jdelv...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/sensors/sensors.changes  2012-02-15 
16:18:04.0 +0100
+++ /work/SRC/openSUSE:Factory/.sensors.new/sensors.changes 2012-03-19 
10:04:19.0 +0100
@@ -1,0 +2,14 @@
+Thu Mar  8 10:35:17 CET 2012 - jdelv...@suse.de
+
+- lm_sensors-r5993-fix-loading-of-cpuid-module.patch: Fix loading
+  of the cpuid module.
+- lm_sensors-r6016-handle-superio-wo-logdev.patch: Properly handle
+  Super-I/O chips without logical device.
+- lm_sensors-r6017-fix-sysfs-detection.patch: libsensors: Change
+  sysfs detection to survive upcoming kernel changes (bnc#751180).
+- lm_sensors-r6025-sensord-fix-memory-leaks.patch: sensord: Fix
+  memory leaks revealed by valgrind (bnc#751177).
+- lm_sensors-r6030-fix-power-interval-output.patch: Fix power
+  interval output.
+
+---

New:

  lm_sensors-r5993-fix-loading-of-cpuid-module.patch
  lm_sensors-r6016-handle-superio-wo-logdev.patch
  lm_sensors-r6017-fix-sysfs-detection.patch
  lm_sensors-r6025-sensord-fix-memory-leaks.patch
  lm_sensors-r6030-fix-power-interval-output.patch



Other differences:
--
++ sensors.spec ++
--- /var/tmp/diff_new_pack.NpD2pt/_old  2012-03-19 10:04:23.0 +0100
+++ /var/tmp/diff_new_pack.NpD2pt/_new  2012-03-19 10:04:23.0 +0100
@@ -37,6 +37,11 @@
 Patch4: lm_sensors-3.0.3-hint-at-kernel-extra-package.patch
 Patch5: lm_sensors-r5991-improve-filtering-of-fake-DMI-data.patch
 Patch6: lm_sensors-r5992-print-DMI-product-version.patch
+Patch7: lm_sensors-r5993-fix-loading-of-cpuid-module.patch
+Patch8: lm_sensors-r6016-handle-superio-wo-logdev.patch
+Patch9: lm_sensors-r6017-fix-sysfs-detection.patch
+Patch10:lm_sensors-r6025-sensord-fix-memory-leaks.patch
+Patch11:lm_sensors-r6030-fix-power-interval-output.patch
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 ExcludeArch:s390 s390x
@@ -141,6 +146,11 @@
 %patch4 -p1
 %patch5 -p1
 %patch6 -p1
+%patch7 -p1
+%patch8 -p1
+%patch9 -p1
+%patch10 -p1
+%patch11 -p1
 
 %build
 RPM_OPT_FLAGS=$RPM_OPT_FLAGS

++ lm_sensors-r5993-fix-loading-of-cpuid-module.patch ++
Fix loading of the cpuid module. On non-udev systems, or even on udev
systems where /dev/cpu/0/cpuid is part of the static device node tree,
the previous test would succeed even when the cpuid module isn't
loaded, resulting in missing detections (of coretemp-supported CPU
models in particuler.) Check if the module is loaded by looking in
sysfs instead, this is much more reliable.

---
 prog/detect/sensors-detect |2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- lm_sensors-3.3.1.orig/prog/detect/sensors-detect
+++ lm_sensors-3.3.1/prog/detect/sensors-detect
@@ -6636,7 +6636,7 @@ sub main
  Do you want to scan for them? This is totally safe. (YES/no): ;
unless (STDIN =~ /^\s*n/i) {
# Load the cpuid driver if needed
-   unless (-e /dev/cpu/$cpu[0]-{nr}/cpuid) {
+   unless (-e $sysfs_root/class/cpuid) {
load_module(cpuid);
udev_settle();
}
++ lm_sensors-r6016-handle-superio-wo-logdev.patch ++
Properly handle Super-I/O chips without logical device. Just report
that we can't support the chip yet, instead of spitting I/O errors.

---
 prog/detect/sensors-detect |4 
 1 file changed, 4 insertions(+)

--- lm_sensors-3.3.1.orig/prog/detect/sensors-detect
+++ lm_sensors-3.3.1/prog/detect/sensors-detect
@@ -3747,6 +3747,10 @@ sub probe_superio
print \n(hardware monitoring capabilities accessible via 
SMBus only)\n;
return FEAT_SMBUS;
}
+   if (!exists $chip-{logdev}) {
+   print \n(no support yet)\n;
+   return 0;
+   }
 
# Switch to the sensor logical device
outb($addrreg, $superio{logdevreg});
++ lm_sensors-r6017-fix-sysfs-detection.patch ++
References: bnc#751180

Upcoming change in sysfs will break the way libsensors detects if
sysfs is mounted. Adjust the implementation so that it still works after
said change.

---
 lib/sysfs.c |8 +---
 1 file changed, 5 insertions(+), 3 deletions(-)

--- lm_sensors-3.3.1.orig/lib/sysfs.c
+++ lm_sensors-3.3.1/lib/sysfs.c
@@ -24,6 +24,7 @@
 
 #include sys/types.h
 #include sys/stat.h
+#include sys/vfs.h
 #include unistd.h
 #include 

commit dos2unix for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package dos2unix for openSUSE:Factory 
checked in at 2012-03-19 10:06:24

Comparing /work/SRC/openSUSE:Factory/dos2unix (Old)
 and  /work/SRC/openSUSE:Factory/.dos2unix.new (New)


Package is dos2unix, Maintainer is p...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/dos2unix/dos2unix.changes2012-02-01 
13:15:58.0 +0100
+++ /work/SRC/openSUSE:Factory/.dos2unix.new/dos2unix.changes   2012-03-19 
10:06:36.0 +0100
@@ -1,0 +2,10 @@
+Mon Mar 12 18:25:19 UTC 2012 - tabra...@novell.com
+
+- Update to 5.3.3:
+  - enabled wildcard expansion
+  - small update in RETURN VALUE section of man page
+
+- removed dos2unix-correct_ending.patch (instead pass HTMLEXT=html
+  to make)
+
+---

Old:

  dos2unix-5.3.2.tar.gz
  dos2unix-correct_ending.patch

New:

  dos2unix-5.3.3.tar.gz



Other differences:
--
++ dos2unix.spec ++
--- /var/tmp/diff_new_pack.U0ut7w/_old  2012-03-19 10:06:38.0 +0100
+++ /var/tmp/diff_new_pack.U0ut7w/_new  2012-03-19 10:06:38.0 +0100
@@ -16,15 +16,15 @@
 #
 
 
+
 Name:   dos2unix
 Summary:Text converters to and from DOS/MAC to UNIX
 License:BSD-3-Clause
 Group:  Productivity/Text/Convertors
-Version:5.3.2
+Version:5.3.3
 Release:0
 Url:http://waterlan.home.xs4all.nl/dos2unix.html
 Source: %{name}-%{version}.tar.gz
-Patch0: dos2unix-correct_ending.patch
 Provides:   unix2dos = %{version}
 Obsoletes:  unix2dos  %{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -39,12 +39,11 @@
 
 %prep
 %setup -q
-%patch0
 find . -type f | xargs chmod -x
 
 %build
 export RPM_OPT_FLAGS
-make %{?_smp_mflags} CC=%{__cc}
+make %{?_smp_mflags} CC=%{__cc} HTMLEXT=html
 
 %install
 %makeinstall docdir=%{_defaultdocdir}/%{name}

++ dos2unix-5.3.2.tar.gz - dos2unix-5.3.3.tar.gz ++
 2401 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit bluez for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package bluez for openSUSE:Factory checked 
in at 2012-03-19 10:06:36

Comparing /work/SRC/openSUSE:Factory/bluez (Old)
 and  /work/SRC/openSUSE:Factory/.bluez.new (New)


Package is bluez, Maintainer is a...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/bluez/bluez-gstreamer.changes2012-01-31 
10:19:24.0 +0100
+++ /work/SRC/openSUSE:Factory/.bluez.new/bluez-gstreamer.changes   
2012-03-19 10:06:44.0 +0100
@@ -1,0 +2,15 @@
+Thu Mar  8 21:06:29 UTC 2012 - seife+...@b1-systems.com
+
+- update to bluez-4.99:
+  - Fix issue with missing retries for BNEP connection setup.
+  - Fix issue with not showing name if first EIR has no details.
+  - Fix issue with running SDP discovery for LE devices.
+  - Add support for GATT using 128-bit Bluetooth UUIDs.
+  - Add support for retrieving key size information.
+  - Add support for storing Long Term Keys.
+  - Add support for Proximity Reporter API.
+  - Add support for KeyboardDisplay IO capability.
+  - Add support for version 1.0 of management API.
+  - Add support for monitoring interface.
+
+---
bluez.changes: same change

Old:

  bluez-4.98.tar.bz2

New:

  bluez-4.99.tar.bz2



Other differences:
--
++ bluez-gstreamer.spec ++
--- /var/tmp/diff_new_pack.8n7y3Y/_old  2012-03-19 10:06:46.0 +0100
+++ /var/tmp/diff_new_pack.8n7y3Y/_new  2012-03-19 10:06:46.0 +0100
@@ -27,20 +27,20 @@
 %if 0%{?suse_version}  1130
 BuildRequires:  pkgconfig(systemd)
 %endif
-BuildRequires:  pkgconfig(libnl-1)
-BuildRequires:  glib2-devel = 2.16
-BuildRequires:  libusb-devel
 BuildRequires:  alsa-devel
-BuildRequires:  libsndfile-devel
-BuildRequires:  pkg-config
 BuildRequires:  check-devel
-BuildRequires:  udev
+BuildRequires:  glib2-devel = 2.16
 BuildRequires:  gstreamer-0_10-devel
 BuildRequires:  gstreamer-0_10-plugins-base-devel
-BuildRequires:  readline-devel
+BuildRequires:  libsndfile-devel
 BuildRequires:  libudev-devel
+BuildRequires:  libusb-devel
+BuildRequires:  pkg-config
+BuildRequires:  readline-devel
+BuildRequires:  udev
+BuildRequires:  pkgconfig(libnl-1)
 Url:http://www.bluez.org
-Version:4.98
+Version:4.99
 Release:0
 Summary:Bluetooth Sound Support
 License:GPL-2.0+

++ bluez.spec ++
--- /var/tmp/diff_new_pack.8n7y3Y/_old  2012-03-19 10:06:46.0 +0100
+++ /var/tmp/diff_new_pack.8n7y3Y/_new  2012-03-19 10:06:46.0 +0100
@@ -29,20 +29,20 @@
 %{?systemd_requires}
 %define has_systemd 1
 %endif
-BuildRequires:  pkgconfig(libnl-1)
-BuildRequires:  glib2-devel = 2.16
-BuildRequires:  libusb-devel
 BuildRequires:  alsa-devel
+BuildRequires:  automake
+BuildRequires:  check-devel
+BuildRequires:  glib2-devel = 2.16
 BuildRequires:  libsndfile-devel
+BuildRequires:  libtool
+BuildRequires:  libudev-devel
+BuildRequires:  libusb-devel
 BuildRequires:  pkg-config
-BuildRequires:  check-devel
-BuildRequires:  udev
 BuildRequires:  readline-devel
-BuildRequires:  libudev-devel
-BuildRequires:  libtool
-BuildRequires:  automake
+BuildRequires:  udev
+BuildRequires:  pkgconfig(libnl-1)
 Url:http://www.bluez.org
-Version:4.98
+Version:4.99
 Release:0
 Summary:Bluetooth Stack for Linux
 License:GPL-2.0+
@@ -143,7 +143,9 @@
 Summary:Tools for testing of various Bluetooth-functions
 License:GPL-2.0+ ; MIT
 Group:  Development/Tools/Debuggers
-Requires:   libbluetooth3 = %{version} python-gobject2 dbus-1-python
+Requires:   dbus-1-python
+Requires:   libbluetooth3 = %{version}
+Requires:   python-gobject2
 
 %description test
 Contains a few tools for testing various bluetooth functions. The

++ bluez-4.98.tar.bz2 - bluez-4.99.tar.bz2 ++
 15218 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libedit for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libedit for openSUSE:Factory checked 
in at 2012-03-19 10:06:40

Comparing /work/SRC/openSUSE:Factory/libedit (Old)
 and  /work/SRC/openSUSE:Factory/.libedit.new (New)


Package is libedit, Maintainer is mrueck...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libedit/libedit.changes  2012-02-24 
12:05:38.0 +0100
+++ /work/SRC/openSUSE:Factory/.libedit.new/libedit.changes 2012-03-19 
10:06:47.0 +0100
@@ -1,0 +2,7 @@
+Tue Mar 13 01:51:31 UTC 2012 - crrodrig...@opensuse.org
+
+-  open all FDs with O_CLOEXEC in the library code.
+-  use gcc visibility by just reusing upstream macros public
+   and protected
+
+---

New:

  libedit-ocloexec.patch
  libedit-visibility.patch



Other differences:
--
++ libedit.spec ++
--- /var/tmp/diff_new_pack.ZFaEee/_old  2012-03-19 10:06:49.0 +0100
+++ /var/tmp/diff_new_pack.ZFaEee/_new  2012-03-19 10:06:49.0 +0100
@@ -35,7 +35,8 @@
 Source1:README.SuSE
 Source2:baselibs.conf
 Patch2: libedit-20100424-3.0-ncurses.patch
-#
+Patch3: libedit-ocloexec.patch
+Patch4: libedit-visibility.patch
 Summary:Command Line Editing and History Library
 License:BSD-3-Clause
 Group:  Development/Libraries/C and C++
@@ -74,10 +75,11 @@
 This package holds the development files for libedit.
 
 %prep
-%setup -n %{pkg_name}-%{pkg_version}
+%setup -q -n %{pkg_name}-%{pkg_version}
 %{__cp} %{S:1} .
 %patch2
-
+%patch3 -p1
+%patch4 -p1
 %build
 NOCONFIGURE=1 autoreconf -fiv
 %configure --disable-static --with-pic \

++ libedit-ocloexec.patch ++
Index: libedit-20110802-3.0/src/readline.c
===
--- libedit-20110802-3.0.orig/src/readline.c
+++ libedit-20110802-3.0/src/readline.c
@@ -1175,15 +1175,15 @@ history_truncate_file (const char *filen
 
if (filename == NULL  (filename = _default_history_file()) == NULL)
return errno;
-   if ((fp = fopen(filename, r+)) == NULL)
+   if ((fp = fopen(filename, r+e)) == NULL)
return errno;
strcpy(template, _history_tmp_template);
-   if ((fd = mkstemp(template)) == -1) {
+   if ((fd = mkostemp(template, O_CLOEXEC)) == -1) {
ret = errno;
goto out1;
}
 
-   if ((tp = fdopen(fd, r+)) == NULL) {
+   if ((tp = fdopen(fd, r+e)) == NULL) {
close(fd);
ret = errno;
goto out2;
Index: libedit-20110802-3.0/src/vi.c
===
--- libedit-20110802-3.0.orig/src/vi.c
+++ libedit-20110802-3.0/src/vi.c
@@ -37,6 +37,7 @@
 #include unistd.h
 #include limits.h
 #include sys/wait.h
+#include fcntl.h
 
 #if !defined(lint)  !defined(SCCSID)
 #if 0
@@ -1015,7 +1016,7 @@ vi_histedit(EditLine *el, Int c __attrib
return CC_ERROR;
}
 
-   fd = mkstemp(tempfile);
+   fd = mkostemp(tempfile, O_CLOEXEC);
if (fd  0)
return CC_ERROR;
len = (size_t)(el-el_line.lastchar - el-el_line.buffer);
Index: libedit-20110802-3.0/src/el.c
===
--- libedit-20110802-3.0.orig/src/el.c
+++ libedit-20110802-3.0/src/el.c
@@ -539,7 +539,7 @@ el_source(EditLine *el, const char *fnam
 #endif
}
if (fp == NULL)
-   fp = fopen(fname, r);
+   fp = fopen(fname, re);
if (fp == NULL) {
el_free(path);
return -1;
Index: libedit-20110802-3.0/src/history.c
===
--- libedit-20110802-3.0.orig/src/history.c
+++ libedit-20110802-3.0/src/history.c
@@ -741,7 +741,7 @@ history_load(TYPE(History) *h, const cha
static ct_buffer_t conv;
 #endif
 
-   if ((fp = fopen(fname, r)) == NULL)
+   if ((fp = fopen(fname, re)) == NULL)
return i;
 
if ((line = fgetln(fp, sz)) == NULL)
@@ -802,7 +802,7 @@ history_save(TYPE(History) *h, const cha
static ct_buffer_t conv;
 #endif
 
-   if ((fp = fopen(fname, w)) == NULL)
+   if ((fp = fopen(fname, we)) == NULL)
return -1;
 
if (fchmod(fileno(fp), S_IRUSR|S_IWUSR) == -1)
++ libedit-visibility.patch ++
Index: libedit-20110802-3.0/src/sys.h
===
--- libedit-20110802-3.0.orig/src/sys.h
+++ libedit-20110802-3.0/src/sys.h
@@ -63,7 +63,7 @@
 #endif
  
 #ifndef public
-# define public/* Externally visible 

commit python-distribute for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package python-distribute for 
openSUSE:Factory checked in at 2012-03-19 10:06:45

Comparing /work/SRC/openSUSE:Factory/python-distribute (Old)
 and  /work/SRC/openSUSE:Factory/.python-distribute.new (New)


Package is python-distribute, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/python-distribute/python-distribute.changes  
2012-03-01 17:26:32.0 +0100
+++ /work/SRC/openSUSE:Factory/.python-distribute.new/python-distribute.changes 
2012-03-19 10:06:49.0 +0100
@@ -0,0 +1,17 @@
+--
+Sat Mar 10 12:44:00 UTC 2012 - alexan...@exatati.com.br
+
+- Update to 0.6.25:
+  - Issue #258: Workaround a cache issue
+  - Issue #260: distribute_setup.py now accepts the --user
+parameter for Python 2.6 and later.
+  - Issue #262: package_index.open_with_auth no longer throws
+LookupError on Python 3.
+  - Issue #269: AttributeError when an exception occurs reading
+Manifest.in on late releases of Python.
+  - Issue #272: Prevent TypeError when namespace package names
+are unicode and single-install-externally-managed is used. Also
+fixes PIP issue 449.
+  - Issue #273: Legacy script launchers now install with Python2/3
+support.
+
--- /work/SRC/openSUSE:Factory/python-distribute/python3-distribute.changes 
2012-03-01 17:26:32.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-distribute.new/python3-distribute.changes
2012-03-19 10:06:49.0 +0100
@@ -1,0 +2,17 @@
+Sat Mar 10 12:44:42 UTC 2012 - alexan...@exatati.com.br
+
+- Update to 0.6.25:
+  - Issue #258: Workaround a cache issue
+  - Issue #260: distribute_setup.py now accepts the --user
+parameter for Python 2.6 and later.
+  - Issue #262: package_index.open_with_auth no longer throws
+LookupError on Python 3.
+  - Issue #269: AttributeError when an exception occurs reading
+Manifest.in on late releases of Python.
+  - Issue #272: Prevent TypeError when namespace package names
+are unicode and single-install-externally-managed is used. Also
+fixes PIP issue 449.
+  - Issue #273: Legacy script launchers now install with Python2/3
+support.
+
+---

Old:

  distribute-0.6.24.tar.gz

New:

  distribute-0.6.25.tar.gz



Other differences:
--
++ python-distribute.spec ++
--- /var/tmp/diff_new_pack.Mt76pC/_old  2012-03-19 10:06:53.0 +0100
+++ /var/tmp/diff_new_pack.Mt76pC/_new  2012-03-19 10:06:53.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   python-distribute
-Version:0.6.24
+Version:0.6.25
 Release:0
 Url:http://packages.python.org/distribute
 Summary:Easily download, build, install, upgrade, and uninstall Python 
packages

python3-distribute.spec: same change
++ distribute-0.6.24.tar.gz - distribute-0.6.25.tar.gz ++
 1812 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit dbus-1-python for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package dbus-1-python for openSUSE:Factory 
checked in at 2012-03-19 10:06:56

Comparing /work/SRC/openSUSE:Factory/dbus-1-python (Old)
 and  /work/SRC/openSUSE:Factory/.dbus-1-python.new (New)


Package is dbus-1-python, Maintainer is thoe...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/dbus-1-python/dbus-1-python.changes  
2012-01-26 15:58:07.0 +0100
+++ /work/SRC/openSUSE:Factory/.dbus-1-python.new/dbus-1-python.changes 
2012-03-19 10:07:03.0 +0100
@@ -1,0 +2,42 @@
+Thu Mar  8 20:33:58 UTC 2012 - asterios.dra...@gmail.com
+
+- New upstream version 1.0.0:
+  Dependencies:
+  - libdbus 1.4 or later is now required.
+  - Python 2.6 or later is now required. If Python 3 is used, it must be
+version 3.2 or later.
+  - GNU make (or, at your own risk, another make with the GNU $(patsubst)
+extension) is now required.
+  API changes:
+  - dbus_bindings, which was never meant to be public API and has been
+deprecated for nearly 5 years, has finally been removed.
+  - The repr() of every dbus-python object is now unicode.
+  - The Python 3 API is not the same as the Python 2 API; see PY3PORT.rst for
+details.
+  Enhancements:
+  - Python 3 compatibility (fd.o #26420)
+  - MethodCallMessage and SignalMessage now have a more useful repr()
+  Fixes:
+  - OOM while appending a unicode object to a message no longer leaks a string
+  - If libdbus somehow gives us invalid UTF-8, don't crash
+  - Fix rst2html failure in non-UTF-8 locales
+ From version 0.84.0:
+  Enhancements:
+  - fd.o #30812: add the UnixFd type, and support Unix fd passing if compiled
+against a new enough libdbus
+  - fd.o #34342: add Connection.set_allow_anonymous(bool)
+  - fd.o #21017: add configure arguments PYTHON_INCLUDES and PYTHON_LIBS which
+can be used to override $PYTHON-config
+  Fixes:
+  - fd.o #35626: clear ProxyObject's pending introspection queue after
+execution
+  - fd.o #22560: remove duplicate code from example-async-client
+  - fd.o #36206: allow signature='x' among ProxyObject method arguments
+- Spec file updates:
+  - Removed pyrex from BuildRequires: (not needed anymore).
+  - Removed autoreconf -fi from %build section and also libtool requirement
+(not needed).
+  - Added epydoc and python-docutils in BuildRequires: to enable generation of
+HTML docs and API documentation.
+
+---

Old:

  dbus-python-0.83.2.tar.gz

New:

  dbus-python-1.0.0.tar.gz



Other differences:
--
++ dbus-1-python.spec ++
--- /var/tmp/diff_new_pack.0PThOT/_old  2012-03-19 10:07:05.0 +0100
+++ /var/tmp/diff_new_pack.0PThOT/_new  2012-03-19 10:07:05.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package dbus-1-python
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,58 +16,79 @@
 #
 
 
-
 Name:   dbus-1-python
-BuildRequires:  dbus-1-glib-devel pyrex python-devel
-BuildRequires:  libtool
-Url:http://dbus.freedesktop.org/
+Version:1.0.0
+Release:0
+Summary:Python bindings for D-Bus
 License:MIT
 Group:  Development/Libraries/Python
-Version:0.83.2
-Release:1
-Summary:Python bindings for D-Bus
-Source0:dbus-python-%{version}.tar.gz
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Requires:   dbus-1 = %( echo `rpm -q --queryformat 
'%{VERSION}-%{RELEASE}' dbus-1`)
+Url:http://www.freedesktop.org/wiki/Software/DBusBindings/
+Source0:
http://dbus.freedesktop.org/releases/dbus-python/dbus-python-%{version}.tar.gz
+BuildRequires:  epydoc
+BuildRequires:  fdupes
+BuildRequires:  python-devel
+%if 0%{?suse_version}  0%{?suse_version} = 1140
+BuildRequires:  docutils
+%else
+BuildRequires:  python-docutils
+%endif
+BuildRequires:  pkgconfig(dbus-1)
+BuildRequires:  pkgconfig(dbus-glib-1)
 Requires:   libxml2-python
 Requires:   python-xml
+Requires:   dbus-1 = %( echo `rpm -q --queryformat 
'%{VERSION}-%{RELEASE}' dbus-1`)
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %{py_requires}
 
+%description
+D-Bus python bindings for use with python programs.
+
 %package -n dbus-1-python-devel
-License:MIT
 Summary:Python bindings for D-Bus
+Group:  Development/Libraries/Python
+Requires:   dbus-1-python = %{version}
 Requires:   dbus-1 = %( echo `rpm -q --queryformat 
'%{VERSION}-%{RELEASE}' dbus-1`)
 

commit postfix for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package postfix for openSUSE:Factory checked 
in at 2012-03-19 10:07:01

Comparing /work/SRC/openSUSE:Factory/postfix (Old)
 and  /work/SRC/openSUSE:Factory/.postfix.new (New)


Package is postfix, Maintainer is vark...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/postfix/postfix.changes  2012-03-09 
21:26:40.0 +0100
+++ /work/SRC/openSUSE:Factory/.postfix.new/postfix.changes 2012-03-19 
10:07:05.0 +0100
@@ -1,0 +2,5 @@
+Tue Mar 13 13:35:13 UTC 2012 - vark...@suse.com
+
+- Documentation for bnc#751994 - SuSEconfig module postfix does not exist 
+
+---



Other differences:
--
++ postfix-SuSE.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/postfix-SuSE/README.SuSE new/postfix-SuSE/README.SuSE
--- old/postfix-SuSE/README.SuSE2004-04-15 18:46:30.0 +0200
+++ new/postfix-SuSE/README.SuSE2012-03-13 14:32:47.0 +0100
@@ -1,9 +1,21 @@
-README.SuSE -  18.11.2002
+README.SuSE -  13.03.2012
 
 
 --
 NEW:
 
+With SLE11SP2 /sbin/conf.d/SuSEconfig.postfix was moved to /usr/sbin/
+to avoid unnecessary calls of the module.
+
+* If you have changed postfix configuration via yast2 mail module
+  /usr/sbin/SuSEconfig.postfix will be called.
+* If you have changed /etc/sysconfig/postfix you have to execute
+  /usr/sbin/SuSEconfig.postfix manualy
+* If you modify the postmaps or post aliases you have to restart
+  postfix to rebuild the postmap and aliases databases.
+  Remember that this happends for the maps listed in 
+  POSTFIX_MAP_LIST only if POSTFIX_UPDATE_MAPS ist set to yes.
+
 The SuSE postfix package now comes with a tool to manage OpenSSL
 certificates. SuSEconfig.postfix will create and set up a CA and
 create a server certificate, if POSTFIX_SMTP_TLS_SERVER is set to yes.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/postfix-SuSE/sysconfig.postfix 
new/postfix-SuSE/sysconfig.postfix
--- old/postfix-SuSE/sysconfig.postfix  2011-07-06 15:08:51.0 +0200
+++ new/postfix-SuSE/sysconfig.postfix  2012-03-13 14:34:53.0 +0100
@@ -106,7 +106,7 @@
 ## Config:  postfix
 #
 # Start postfix services chrooted, that are able to run chrooted?
-# Note: if you want SuSEconfig to maintain the chroot jail, you
+# Note: if you want SuSEconfig.postfix to maintain the chroot jail, you
 # also have to set POSTFIX_UPDATE_CHROOT_JAIL to yes.
 # Note: if you want postfix runs in CHROOT enviroment, then the whole 
 # /var directory must be on one partition.
@@ -117,7 +117,7 @@
 ## Default: no
 ## Config:  postfix
 #
-# Set this to yes, if SuSEconfig should setup the chroot jail itself
+# Set this to yes, if SuSEconfig.postfix should setup the chroot jail itself
 #
 POSTFIX_UPDATE_CHROOT_JAIL=no
 
@@ -125,7 +125,7 @@
 ## Default: no
 ## Config:  postfix
 #
-# Set this to yes, if SuSEconfig should activate ldap stuff in main.cf
+# Set this to yes, if SuSEconfig.postfix should activate ldap stuff in main.cf
 # This extends virtual_alias_maps with ldap:/etc/postfix/ldap_aliases.cf
 #
 POSTFIX_WITH_LDAP=no
@@ -134,7 +134,7 @@
 ## Default: no
 ## Config:  postfix
 #
-# Set this to yes, if SuSEconfig should activate mysql stuff in main.cf
+# Set this to yes, if SuSEconfig.postfix should activate mysql stuff in main.cf
 # and having 'mysql.sock' inside chroot jail
 # Note: When POSTFIX_CHROOT=yes then 'mysql.sock' will be available
 #   in postfix CHROOT
@@ -167,7 +167,7 @@
 ## Default: yes
 ## Config:  postfix
 #
-# Should SuSEconfig update the different .db maps in /etc/postfix?
+# Should SuSEconfig.postfix update the different .db maps in /etc/postfix?
 #
 POSTFIX_UPDATE_MAPS=yes
 
@@ -234,7 +234,7 @@
 # A comma or space separated list of restrictions
 # Note: if set to medium default is $POSTFIX_RBL_HOSTS
 #
-#   POSTFIX_RBL_HOSTS will be placed by SuSEconfig. You do not need to 
define it here.
+#   POSTFIX_RBL_HOSTS will be placed by SuSEconfig.postfix. You do not need 
to define it here.
 #Fill POSTFIX_RBL_HOSTS instead
 #
 # Example:
@@ -343,7 +343,7 @@
 #
 # Enable SMTP-AUTH for the postfix smtp client
 # you have to edit /etc/postfix/sasl_passwd and call
-# SuSEconfig -module postfix afterwards
+# SuSEconfig.postfix afterwards
 #
 POSTFIX_SMTP_AUTH=no
 
@@ -497,6 +497,6 @@
 # otherwise every user in the same subnet as you, can use
 # your postfix server as a mail relay for spam.
 # If you set POSTFIX_DIALUP to yes mynetworks_style
-# will be set to host by SuSEconfig.
+# will be set to host by 

commit sysconfig for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package sysconfig for openSUSE:Factory 
checked in at 2012-03-19 10:07:34

Comparing /work/SRC/openSUSE:Factory/sysconfig (Old)
 and  /work/SRC/openSUSE:Factory/.sysconfig.new (New)


Package is sysconfig, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/sysconfig/sysconfig.changes  2012-02-16 
16:23:55.0 +0100
+++ /work/SRC/openSUSE:Factory/.sysconfig.new/sysconfig.changes 2012-03-19 
10:07:45.0 +0100
@@ -1,0 +2,7 @@
+Mon Feb 27 10:46:45 UTC 2012 - wer...@suse.de
+
+- In poll.tcpip avoid warnings messages of fetchmail by using the
+  owner ship of the system wide configuration file /etc/fechmailrc
+  which should be owned by the user and group mail.
+
+---

New:

  sysconfig-0.76.1.dif



Other differences:
--
++ sysconfig.spec ++
--- /var/tmp/diff_new_pack.P8b5ra/_old  2012-03-19 10:07:49.0 +0100
+++ /var/tmp/diff_new_pack.P8b5ra/_new  2012-03-19 10:07:49.0 +0100
@@ -31,6 +31,7 @@
 BuildRequires:  libtool
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source: %name-%version.tar.bz2
+Patch:  %name-%version.dif
 
 %description
 This package provides the SuSE system configuration scheme and the
@@ -50,6 +51,7 @@
 
 %prep
 %setup -n sysconfig-%{version}
+%patch
 
 %build
 autoreconf --force --install

++ sysconfig-0.76.1.dif ++
--- scripts/poll.tcpip
+++ scripts/poll.tcpip  2012-02-27 10:39:54.430433600 +
@@ -86,13 +86,22 @@ done
 #
 # Do we get mails with fetchmail over pop3/imap?
 # We support only a system wide configuration
-# file /etc/fetchmailrc.
+# file /etc/fetchmailrc.  Use the user id of the
+# system wide configuration file, e.g. `mail'.
+# For this the file /etc/fetchmailrc should have
+# the permisssions 0600 and be owned by the user
+# and the group `mail'
 #
 while true ; do
 test -x   /usr/bin/fetchmail   || break
 test -r   /etc/fetchmailrc || break
+mailid=$(stat -c '%U' /etc/fetchmailrc)
 checkproc /usr/bin/fetchmailbreak
-/usr/bin/fetchmail -f /etc/fetchmailrc
+if test -n $mailid -a $mailid != root  type -p sudo  /dev/null 21 
; then
+   sudo -u $mailid /usr/bin/fetchmail -f /etc/fetchmailrc
+else
+   /usr/bin/fetchmail -f /etc/fetchmailrc
+fi
 break
 done
 
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit samba for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package samba for openSUSE:Factory checked 
in at 2012-03-19 10:07:36

Comparing /work/SRC/openSUSE:Factory/samba (Old)
 and  /work/SRC/openSUSE:Factory/.samba.new (New)


Package is samba, Maintainer is samba-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/samba/samba-doc.changes  2012-01-06 
11:46:44.0 +0100
+++ /work/SRC/openSUSE:Factory/.samba.new/samba-doc.changes 2012-03-19 
10:07:54.0 +0100
@@ -1,0 +2,5 @@
+Wed Mar 14 17:39:53 UTC 2012 - lmue...@suse.de
+
+- Add the ldapsmb sources as else patches against them have no chance to apply.
+
+---
--- /work/SRC/openSUSE:Factory/samba/samba.changes  2012-03-09 
21:27:54.0 +0100
+++ /work/SRC/openSUSE:Factory/.samba.new/samba.changes 2012-03-19 
10:07:55.0 +0100
@@ -1,0 +2,5 @@
+Wed Mar 14 20:00:25 UTC 2012 - lmue...@suse.de
+
+- Remove obsoleted Authors lines from spec file for post-11.2 systems.
+
+---



Other differences:
--
++ samba-doc.spec ++
--- /var/tmp/diff_new_pack.A1cCF7/_old  2012-03-19 10:08:00.0 +0100
+++ /var/tmp/diff_new_pack.A1cCF7/_new  2012-03-19 10:08:00.0 +0100
@@ -106,6 +106,7 @@
 %endif
 Version:3.6.3
 Release:1
+%defineldapsmb_ver 1.34b
 Url:http://www.samba.org/
 License:GPL-3.0+
 Summary:Samba Documentation
@@ -122,6 +123,7 @@
 Source2:patches.tar.bz2
 Source3:build-source-timestamp
 Source4:baselibs.conf
+Source11:   http://www.samba.org/~gd/ldapsmb/ldapsmb-%{ldapsmb_ver}.tar.bz2
 # Choose some features / extra packages here
 
 %definemake_devel 0
@@ -189,6 +191,10 @@
 # samba-doc nowadays is part the main samba spec file
 %if 0%{?suse_version}  0%{?suse_version}  
 %setup -n samba-%{samba_ver_full} -q
+# ldapsmb
+%if %{make_ldapsmb}
+%setup -T -D -a 11 -n samba-%{samba_ver_full} -q
+%endif
 # patches
 %setup -T -D -a 2 -n samba-%{samba_ver_full} -q
 for patch in $( patches/tools/guards %{guards_symbols} patches/series); do
@@ -443,12 +449,7 @@
 the man pages.
 
 
-
-Authors:
-
-The Samba Team sa...@samba.org
-
-Source Timestamp: 2769
+Source Timestamp: 2775
 Branch  : trunk
 
 %changelog

++ samba.spec ++
--- /var/tmp/diff_new_pack.A1cCF7/_old  2012-03-19 10:08:00.0 +0100
+++ /var/tmp/diff_new_pack.A1cCF7/_new  2012-03-19 10:08:00.0 +0100
@@ -211,13 +211,7 @@
 how to.
 
 
-
-Authors:
-
-The Samba Team sa...@samba.org
-
-
-Source Timestamp: 2769
+Source Timestamp: 2775
 Branch  : trunk
 
 %package client
@@ -258,12 +252,7 @@
 how to.
 
 
-
-Authors:
-
-The Samba Team sa...@samba.org
-
-Source Timestamp: 2769
+Source Timestamp: 2775
 Branch  : trunk
 
 %if 0%{?suse_version} == 0 || 0%{?suse_version}  1020
@@ -283,13 +272,7 @@
 develop programs which make use of Samba.
 
 
-
-Authors:
-
-The Samba Team sa...@samba.org
-
-
-Source Timestamp: 2769
+Source Timestamp: 2775
 Branch  : trunk
 
 %endif
@@ -314,12 +297,7 @@
 the man pages.
 
 
-
-Authors:
-
-The Samba Team sa...@samba.org
-
-Source Timestamp: 2769
+Source Timestamp: 2775
 Branch  : trunk
 
 %endif
@@ -341,12 +319,7 @@
 A wrapper binary to run smbspool with the original calling UID.
 
 
-
-Authors:
-
-Jeremy Allison jra at samba dot org
-
-Source Timestamp: 2769
+Source Timestamp: 2775
 Branch  : trunk
 
 %if %{make_utils}
@@ -362,12 +335,7 @@
 Some of the debug-tools for developpers.
 
 
-
-Authors:
-
-The Samba Team sa...@samba.org
-
-Source Timestamp: 2769
+Source Timestamp: 2775
 Branch  : trunk
 
 %endif
@@ -399,12 +367,7 @@
 This is the winbind-daemon and the wbinfo-tool.
 
 
-
-Authors:
-
-The Samba Team sa...@samba.org
-
-Source Timestamp: 2769
+Source Timestamp: 2775
 Branch  : trunk
 
 %if 0%{?suse_version}  0%{?suse_version}  1031
@@ -430,14 +393,14 @@
 
 %description -n libsmbclient
 
-Source Timestamp: 2769
+Source Timestamp: 2775
 Branch  : trunk
 
 %else
 
 %description -n libsmbclient0
 
-Source Timestamp: 2769
+Source Timestamp: 2775
 Branch  : trunk
 
 %endif
@@ -449,10 +412,6 @@
 libsmbclient for SUSE version  11.0 while versions  10.0 will have
 libsmbclient0.
 
-Authors:
-
-The Samba Team sa...@samba.org
-
 %package -n libsmbclient-devel
 License:GPL-3.0+
 Summary:Libraries and Header Files to Develop Programs with smbclient 
Support
@@ -480,12 +439,7 @@
 develop programs which make use of the smbclient programming interface.
 
 
-
-Authors:

commit libindi for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libindi for openSUSE:Factory checked 
in at 2012-03-19 10:07:47

Comparing /work/SRC/openSUSE:Factory/libindi (Old)
 and  /work/SRC/openSUSE:Factory/.libindi.new (New)


Package is libindi, Maintainer is dmuel...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libindi/libindi.changes  2012-01-20 
22:07:42.0 +0100
+++ /work/SRC/openSUSE:Factory/.libindi.new/libindi.changes 2012-03-19 
10:08:19.0 +0100
@@ -1,0 +2,5 @@
+Wed Mar 14 21:01:30 UTC 2012 - asterios.dra...@gmail.com
+
+- Added a patch (taken from Fedora) to fix compilation with gcc-4.7.
+
+---

New:

  libindi-usleep.patch



Other differences:
--
++ libindi.spec ++
--- /var/tmp/diff_new_pack.Sei4X9/_old  2012-03-19 10:08:27.0 +0100
+++ /var/tmp/diff_new_pack.Sei4X9/_new  2012-03-19 10:08:27.0 +0100
@@ -16,6 +16,8 @@
 #
 
 
+%define so_ver 0
+
 Name:   libindi
 Version:0.9
 Release:0
@@ -23,11 +25,13 @@
 License:GPL-2.0+ ; LGPL-2.1+
 Group:  Productivity/Scientific/Astronomy
 Url:http://www.indilib.org/
-Source0:
http://prdownloads.sourceforge.net/indi/%{name}_%{version}.tar.gz
+Source0:http://downloads.sourceforge.net/indi/%{name}_%{version}.tar.gz
 # PATCH-FIX-UPSTREAM no-return-in-nonvoid-function.patch 
asterios.dra...@gmail.com -- Fix no-return-in-nonvoid-function post-build 
check errors
 Patch0: no-return-in-nonvoid-function.patch
 # PATCH-FIX-UPSTREAM cfitsio_link_libs.patch asterios.dra...@gmail.com -- Add 
pthread in target_link_libraries where needed
 Patch1: cfitsio_link_libs.patch
+# PATCH-FIX-UPSTREAM libindi-usleep.patch asterios.dra...@gmail.com -- Fix 
compilation with gcc-4.7 (taken from Fedora)
+Patch2: libindi-usleep.patch
 BuildRequires:  cmake
 BuildRequires:  gcc-c++
 BuildRequires:  libcfitsio-devel
@@ -35,7 +39,7 @@
 BuildRequires:  libnova-devel
 BuildRequires:  libusb-devel
 BuildRequires:  zlib-devel
-Requires:   libindi0 = %{version}
+Requires:   libindi%{so_ver} = %{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -50,16 +54,16 @@
 Summary:Development files for libindi
 Group:  Development/Libraries/C and C++
 Requires:   glibc-devel
-Requires:   libindi0 = %{version}
+Requires:   libindi%{so_ver} = %{version}
 
 %description devel
 This package contains development files for libindi.
 
-%package -n libindi0
+%package -n libindi%{so_ver}
 Summary:Instrument Neutral Distributed Interface
 Group:  System/Libraries
 
-%description -n libindi0
+%description -n libindi%{so_ver}
 INDI is an Instrument Neutral Distributed Interface control protocol
 for astronomical devices, which provides a framework that decouples low
 level hardware drivers from high level front end clients. Clients that
@@ -71,6 +75,7 @@
 %setup -q
 %patch0
 %patch1
+%patch2 -p1
 
 %build
 mkdir build
@@ -87,9 +92,9 @@
 %make_install
 cd ..
 
-%post -n libindi0 -p /sbin/ldconfig
+%post -n libindi%{so_ver} -p /sbin/ldconfig
 
-%postun -n libindi0 -p /sbin/ldconfig
+%postun -n libindi%{so_ver} -p /sbin/ldconfig
 
 %files
 %defattr(-,root,root,-)
@@ -105,8 +110,8 @@
 %{_libdir}/libindi.so
 %{_libdir}/libindi*.a
 
-%files -n libindi0
+%files -n libindi%{so_ver}
 %defattr(-,root,root,-)
-%{_libdir}/libindi.so.0*
+%{_libdir}/libindi.so.%{so_ver}*
 
 %changelog

++ libindi-usleep.patch ++
diff -ur libindi-0.9/drivers/focuser/robofocus.cpp 
libindi-0.9.new/drivers/focuser/robofocus.cpp
--- libindi-0.9/drivers/focuser/robofocus.cpp   2012-01-13 19:40:06.0 
+0100
+++ libindi-0.9.new/drivers/focuser/robofocus.cpp   2012-01-24 
23:34:02.814667216 +0100
@@ -25,6 +25,7 @@
 #include termios.h
 #include string.h
 #include sys/time.h
+#include unistd.h
 
 #define RF_MAX_CMD   9
 #define RF_TIMEOUT   15
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libpng12 for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package libpng12 for openSUSE:Factory 
checked in at 2012-03-19 10:11:47

Comparing /work/SRC/openSUSE:Factory/libpng12 (Old)
 and  /work/SRC/openSUSE:Factory/.libpng12.new (New)


Package is libpng12, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/libpng12/libpng12.changes2012-02-20 
16:14:41.0 +0100
+++ /work/SRC/openSUSE:Factory/.libpng12.new/libpng12.changes   2012-03-19 
10:11:48.0 +0100
@@ -1,0 +2,6 @@
+Wed Mar 14 11:22:02 UTC 2012 - pgaj...@suse.com
+
+- updated to 1.2.48:
+  * fixed CVE-2011-3045 [bnc#752008]
+
+---

Old:

  libpng-1.2.47.tar.bz2

New:

  libpng-1.2.48.tar.bz2



Other differences:
--
++ libpng12.spec ++
--- /var/tmp/diff_new_pack.l8Hdk4/_old  2012-03-19 10:11:50.0 +0100
+++ /var/tmp/diff_new_pack.l8Hdk4/_new  2012-03-19 10:11:50.0 +0100
@@ -19,7 +19,7 @@
 #
 %define major   1
 %define minor   2
-%define micro   47
+%define micro   48
 %define branch  %{major}%{minor}
 %define libname libpng%{branch}-0
 

++ libpng-1.2.47.tar.bz2 - libpng-1.2.48.tar.bz2 ++
 8430 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit kdelibs4 for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package kdelibs4 for openSUSE:Factory 
checked in at 2012-03-19 10:11:54

Comparing /work/SRC/openSUSE:Factory/kdelibs4 (Old)
 and  /work/SRC/openSUSE:Factory/.kdelibs4.new (New)


Package is kdelibs4, Maintainer is kde-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/kdelibs4/kdelibs4.changes2012-03-13 
11:24:44.0 +0100
+++ /work/SRC/openSUSE:Factory/.kdelibs4.new/kdelibs4.changes   2012-03-19 
10:12:02.0 +0100
@@ -1,0 +2,6 @@
+Wed Mar 14 09:47:52 UTC 2012 - kru...@zib.de
+
+- added fix for KMail2 crashes from
+  https://bugs.kde.org/show_bug.cgi?id=295474#c27
+
+---

New:

  kmail2-crash.diff



Other differences:
--
++ kdelibs4.spec ++
--- /var/tmp/diff_new_pack.Pm9sab/_old  2012-03-19 10:12:04.0 +0100
+++ /var/tmp/diff_new_pack.Pm9sab/_new  2012-03-19 10:12:04.0 +0100
@@ -109,6 +109,8 @@
 Patch18:plasma-libs.diff
 Patch20:ignore-inline-menu.diff
 Patch24:ksuseinstall.diff
+# fix for KDE Bug 295474 from https://bugs.kde.org/show_bug.cgi?id=295474#c27
+Patch25:kmail2-crash.diff
 PreReq: permissions
 Requires:   soprano = %( echo `rpm -q --queryformat '%{VERSION}' 
libsoprano-devel`)
 Recommends: strigi = %( echo `rpm -q --queryformat '%{VERSION}' 
strigi-devel`)
@@ -173,6 +175,7 @@
 %patch18
 %patch20
 %patch24
+%patch25 -p1
 
 #
 # define KDE version exactly

++ kmail2-crash.diff ++
diff --git a/nepomuk/core/resourcedata.cpp b/nepomuk/core/resourcedata.cpp
index abe55ea..e65e66e 100644
--- a/nepomuk/core/resourcedata.cpp
+++ b/nepomuk/core/resourcedata.cpp
@@ -175,7 +175,7 @@ void Nepomuk::ResourceData::resetAll( bool isDelete )
 if( !m_uri.isEmpty() ) {
 m_rm-m_initializedData.remove( m_uri );
 if( m_rm-m_watcher  m_addedToWatcher ) {
-m_rm-m_watcher-removeResource(Resource::fromResourceUri(m_uri));
+QMetaObject::invokeMethod(m_rm-m_watcher, removeResource, 
Qt::AutoConnection, Q_ARG(Nepomuk::Resource, Resource::fromResourceUri(m_uri)));
 m_addedToWatcher = false;
 }
 }
@@ -394,15 +394,16 @@ bool Nepomuk::ResourceData::load()
 
 if(!m_rm-m_watcher) {
 m_rm-m_watcher = new ResourceWatcher(m_rm-m_manager);
+m_rm-m_watcher-moveToThread(m_rm-m_manager-thread());
 QObject::connect( m_rm-m_watcher, 
SIGNAL(propertyAdded(Nepomuk::Resource, Nepomuk::Types::Property, QVariant)),
   m_rm-m_manager, 
SLOT(slotPropertyAdded(Nepomuk::Resource, Nepomuk::Types::Property, QVariant)) 
);
 QObject::connect( m_rm-m_watcher, 
SIGNAL(propertyRemoved(Nepomuk::Resource, Nepomuk::Types::Property, QVariant)),
   m_rm-m_manager, 
SLOT(slotPropertyRemoved(Nepomuk::Resource, Nepomuk::Types::Property, 
QVariant)) );
 m_rm-m_watcher-addResource( 
Nepomuk::Resource::fromResourceUri(m_uri) );
-m_rm-m_watcher-start();
+QMetaObject::invokeMethod(m_rm-m_watcher, start, 
Qt::AutoConnection);
 }
 else {
-m_rm-m_watcher-addResource( 
Nepomuk::Resource::fromResourceUri(m_uri) );
+QMetaObject::invokeMethod(m_rm-m_watcher, addResource, 
Qt::AutoConnection, Q_ARG(Nepomuk::Resource, 
Nepomuk::Resource::fromResourceUri(m_uri)) );
 }
 m_addedToWatcher = true;
 
diff --git a/nepomuk/core/resourcewatcher.h b/nepomuk/core/resourcewatcher.h
index 06b9622..92b12f5 100644
--- a/nepomuk/core/resourcewatcher.h
+++ b/nepomuk/core/resourcewatcher.h
@@ -93,6 +93,7 @@ namespace Nepomuk {
  */
 virtual ~ResourceWatcher();
 
+public Q_SLOTS:
 /**
  * \brief Add a type to be watched.
  *
@@ -204,7 +205,6 @@ namespace Nepomuk {
  */
 QListTypes::Property properties() const;
 
-public Q_SLOTS:
 /**
  * \brief Start the signalling of changes.
  *

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit psmisc for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package psmisc for openSUSE:Factory checked 
in at 2012-03-19 10:12:18

Comparing /work/SRC/openSUSE:Factory/psmisc (Old)
 and  /work/SRC/openSUSE:Factory/.psmisc.new (New)


Package is psmisc, Maintainer is wer...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/psmisc/psmisc.changes2012-02-28 
14:15:07.0 +0100
+++ /work/SRC/openSUSE:Factory/.psmisc.new/psmisc.changes   2012-03-19 
10:12:19.0 +0100
@@ -1,0 +2,8 @@
+Tue Mar 13 15:26:37 UTC 2012 - wer...@suse.de
+
+- Submit ASCII null fix in pstree upsrtream
+- Submit support for static background process for stat system call
+  upstream
+- Rebuild package with upstream patches
+
+---



Other differences:
--
++ psmisc.spec ++
--- /var/tmp/diff_new_pack.h15qRN/_old  2012-03-19 10:12:23.0 +0100
+++ /var/tmp/diff_new_pack.h15qRN/_new  2012-03-19 10:12:23.0 +0100
@@ -16,7 +16,6 @@
 #
 
 
-
 Name:   psmisc
 BuildRequires:  automake
 BuildRequires:  gcc-c++
@@ -24,19 +23,19 @@
 BuildRequires:  libselinux-devel
 BuildRequires:  ncurses-devel
 Url:http://sourceforge.net/projects/psmisc/
-License:GPL-2.0+
-Group:  System/Monitoring
 PreReq: %fillup_prereq %insserv_prereq
 Version:22.16
-Release:1
+Release:0
 Provides:   ps:/usr/bin/killall
 Summary:Utilities for managing processes on your system
+License:GPL-2.0+
+Group:  System/Monitoring
 Source: 
http://sourceforge.net/projects/psmisc/files/psmisc/%{name}-%{version}.tar.gz
 Patch0: %name-22.16.dif
 Patch1: %name-22.12-tigetstr.patch
 Patch2: %name-22.12-pstree.patch
-Patch3: pstree-segfault.patch
-Patch42:%name-22.16-timeout.patch
+Patch42:pstree-segfault.patch
+Patch43:%name-22.16-timeout.patch
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %define nopeek  s390 s390x ia64 %sparc hppa
@@ -51,10 +50,10 @@
 
 %prep
 %setup -q
-%patch42 -p0 -b .to
+%patch42 -p1 -b .to
+%patch43 -p1 -b .comm
 %patch1 -p0 -b .tigetstr
 %patch2 -p0 -b .pstree
-%patch3 -p0 -b .comm
 %patch0 -p0 -b .0
 
 %build

++ psmisc-22.16-timeout.patch ++
--- /var/tmp/diff_new_pack.h15qRN/_old  2012-03-19 10:12:24.0 +0100
+++ /var/tmp/diff_new_pack.h15qRN/_new  2012-03-19 10:12:24.0 +0100
@@ -1,113 +1,87 @@
 src/Makefile.am
-+++ src/Makefile.am2012-02-27 00:00:00.0 +
-@@ -23,7 +23,7 @@ if WANT_PEEKFD_MIPS
-   AM_CFLAGS += -DMIPS
+diff --git a/ChangeLog b/ChangeLog
+index b42a4d7..baba19e 100644
+--- a/ChangeLog
 b/ChangeLog
+@@ -1,3 +1,10 @@
++  * Make it possible to use --enable-timeout-stat as well as
++--enable-timeout-stat=static for a static background process which
++does the final stat system calls
++  * Do not mix HAVE_TIMEOUT_STAT with WITH_TIMEOUT_STAT
++  * Add timeout.c/timeout.h for static background process which is able
++to read the file name from pipe, does the stat(2) system call, and
++writes the result back to a pipe.
+   * Really add ASCII null at command string in add_proc() of pstree.c
+ 
+ Changes in 22.16
+diff --git a/configure.ac b/configure.ac
+index 0615f5f..9265d82 100644
+--- a/configure.ac
 b/configure.ac
+@@ -30,12 +30,16 @@ AC_SUBST([SELINUX_LIB])
+ # Call fork before all stat calls to stop hanging on NFS mounts
+ AC_SUBST([WITH_TIMEOUT_STAT])
+ AC_ARG_ENABLE([timeout_stat],
+-  [AS_HELP_STRING([--enable-timeout-stat], [Use a timeout on stat calls])],
++  [AS_HELP_STRING([--enable-timeout-stat], [Use a timeout on stat calls 
(optional with argument static for a static background process)])],
+   [enable_timeout_stat=$enableval],
+   [enable_timeout_stat=no])
+ if test $enable_timeout_stat = yes; then
+   AC_DEFINE([WITH_TIMEOUT_STAT], [1], [Use timeout on stat calls])
+ fi
++if test $enable_timeout_stat = static; then
++  AC_DEFINE([WITH_TIMEOUT_STAT], [2], [Use timeout on stat calls])
++fi
++AM_CONDITIONAL([WANT_TIMEOUT_STAT], [test $enable_timeout_stat = static])
+ 
+ # Enable hardened compile and link flags
+ AC_ARG_ENABLE([harden_flags],
+diff --git a/src/Makefile.am b/src/Makefile.am
+index d511f24..a28af7d 100644
+--- a/src/Makefile.am
 b/src/Makefile.am
+@@ -24,6 +24,9 @@ if WANT_PEEKFD_MIPS
  endif
  
--fuser_SOURCES = fuser.c comm.h signals.c signals.h i18n.h fuser.h lists.h
-+fuser_SOURCES = fuser.c comm.h signals.c signals.h timeout.c i18n.h fuser.h 
lists.h timeout.h
+ fuser_SOURCES = fuser.c comm.h signals.c signals.h i18n.h fuser.h lists.h
++if WANT_TIMEOUT_STAT
++  fuser_SOURCES += timeout.c timeout.h
++endif
  
  fuser_LDADD 

commit pwdutils for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package pwdutils for openSUSE:Factory 
checked in at 2012-03-19 10:12:26

Comparing /work/SRC/openSUSE:Factory/pwdutils (Old)
 and  /work/SRC/openSUSE:Factory/.pwdutils.new (New)


Package is pwdutils, Maintainer is ku...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/pwdutils/pwdutils.changes2011-11-24 
11:36:59.0 +0100
+++ /work/SRC/openSUSE:Factory/.pwdutils.new/pwdutils.changes   2012-03-19 
10:12:28.0 +0100
@@ -1,0 +2,5 @@
+Tue Mar 13 15:56:01 CET 2012 - ku...@suse.de
+
+- Update to version 3.2.18 (fixes [bnc#738114])
+
+---

Old:

  pwdutils-3.2.17.tar.bz2

New:

  pwdutils-3.2.18.tar.bz2



Other differences:
--
++ pwdutils.spec ++
--- /var/tmp/diff_new_pack.fd4LA6/_old  2012-03-19 10:12:30.0 +0100
+++ /var/tmp/diff_new_pack.fd4LA6/_new  2012-03-19 10:12:30.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package pwdutils
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,21 +15,26 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 %define enable_selinux 1
 
 Name:   pwdutils
-BuildRequires:  audit-devel libnscd-devel libtool openldap2-devel 
openslp-devel openssl-devel pam-devel
+BuildRequires:  audit-devel
+BuildRequires:  libnscd-devel
+BuildRequires:  libtool
+BuildRequires:  openldap2-devel
+BuildRequires:  openslp-devel
+BuildRequires:  openssl-devel
+BuildRequires:  pam-devel
 %if %{enable_selinux}
 BuildRequires:  libselinux-devel
 %endif
 Url:http://www.thkukuk.de/pam/pwdutils/
+Version:3.2.18
+Release:0
+Summary:Utilities to Manage User and Group Accounts
 License:GPL-2.0
 Group:  System/Base
-Version:3.2.17
-Release:4
-Summary:Utilities to Manage User and Group Accounts
 Requires:   pam-modules
 Source: pwdutils-%{version}.tar.bz2
 Source2:ldap.conf
@@ -47,11 +52,9 @@
 
 
 %package plugin-audit
-License:GPL-2.0
 Summary:Plugin for the Linux Audit-Subsystem
 Group:  System/Base
 Requires:   pwdutils = %{version}
-AutoReqProv:on
 
 %description plugin-audit
 This package includes the plugin for the password/account management
@@ -62,11 +65,9 @@
 
 
 %package rpasswd
-License:GPL-2.0
 Summary:Server/Client for secure remote password changing
 Group:  System/Base
 Requires:   pwdutils = %{version}
-AutoReqProv:on
 
 %description rpasswd
 This package includes the server, client and a PAM module to change the

++ pwdutils-3.2.17.tar.bz2 - pwdutils-3.2.18.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pwdutils-3.2.17/ChangeLog 
new/pwdutils-3.2.18/ChangeLog
--- old/pwdutils-3.2.17/ChangeLog   2011-05-16 11:25:30.0 +0200
+++ new/pwdutils-3.2.18/ChangeLog   2012-03-13 14:15:33.0 +0100
@@ -1,3 +1,20 @@
+2012-03-13  Thorsten Kukuk  ku...@suse.de
+
+   * release version 3.2.18
+
+2012-01-31  Thorsten Kukuk  ku...@suse.de
+
+   * lib/chown_dir_rec.c (chown_entry): Check against correct
+   old values [bnc#738114].
+
+2011-08-05  Thorsten Kukuk  ku...@suse.de
+
+   * src/gpasswd.c (main): Remove dead code.
+
+2011-05-23  Thorsten Kukuk  ku...@suse.de
+
+   * lib/user.c (write_user_data): jump to correct label.
+
 2011-05=16  Thorsten Kukuk  ku...@suse.de
 
* release 3.2.17
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pwdutils-3.2.17/NEWS new/pwdutils-3.2.18/NEWS
--- old/pwdutils-3.2.17/NEWS2011-05-16 11:25:51.0 +0200
+++ new/pwdutils-3.2.18/NEWS2012-03-13 14:15:03.0 +0100
@@ -1,9 +1,12 @@
 pwdutils NEWS -- history of user-visible changes.
 
-Copyright (C) 2002-2011 Thorsten Kukuk
+Copyright (C) 2002-2012 Thorsten Kukuk
 
 Please send bug reports, questions and suggestions to ku...@thkukuk.de.
 
+Version 3.2.18
+* Fix changing of permissions if uid/gid of user will be modified
+
 Version 3.2.17
 * Fix useradd.local
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pwdutils-3.2.17/configure 
new/pwdutils-3.2.18/configure
--- old/pwdutils-3.2.17/configure   2011-05-16 11:26:05.0 +0200
+++ new/pwdutils-3.2.18/configure   2012-03-13 14:15:42.0 +0100
@@ -2431,7 +2431,7 @@
 
 # Define the 

commit clamav for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package clamav for openSUSE:Factory checked 
in at 2012-03-20 01:58:51

Comparing /work/SRC/openSUSE:Factory/clamav (Old)
 and  /work/SRC/openSUSE:Factory/.clamav.new (New)


Package is clamav, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/clamav/clamav.changes2011-10-21 
16:27:42.0 +0200
+++ /work/SRC/openSUSE:Factory/.clamav.new/clamav.changes   2012-03-20 
01:58:54.0 +0100
@@ -1,0 +2,22 @@
+Sat Mar 17 14:18:48 UTC 2012 - tog...@opensuse.org
+
+- New version 0.97.4 
+ * libclamav/bytecode.c: reset to BYTECODE_AUTO mode at db reload
+   so that we don't fail to re-enable or re-disable it again
+   (bb#3789)
+ * misc: performance improvement for HP-UX PA-RISC - patch from 
+   Michael Pelletier michael.v.pelletier*raytheon.com
+   (bb#3926)
+ * libclamav/pe.c: parse vinfo where varfileinfo occours before
+   stringfileinfo (bb#3062)
+ * clamd: add support for on-access scanning on OS X with ClamAuth
+   (beta)
+ * libclamav/bytecode_api*: Fix Sparc crash (bb #4324)
+ * libclamav: fix bytecode whitelisting
+ * libclamav: fix macro detection in OLE2BlockMacros (bb#4269)
+ * libclamav/readdb.c: allow comments in all db files (bb#3930)
+ * libclamav/scanners.c: use lsigs when scanning vba data (bb#3922)
+ * libclamav/matcher-hash.c: Fix SIGBUS on PA-RISC (big-endian)
+   architectures (bb #3894). 
+
+---

Old:

  clamav-0.97.3.tar.gz

New:

  clamav-0.97.4.tar.gz



Other differences:
--
++ clamav.spec ++
--- /var/tmp/diff_new_pack.UNYmL6/_old  2012-03-20 01:58:59.0 +0100
+++ /var/tmp/diff_new_pack.UNYmL6/_new  2012-03-20 01:58:59.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package clamav
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,12 +16,16 @@
 #
 
 
-
 Name:   clamav
-BuildRequires:  ncurses-devel sed sendmail sendmail-devel
+BuildRequires:  ncurses-devel
+BuildRequires:  sed
+BuildRequires:  sendmail
+BuildRequires:  sendmail-devel
 %define llvm --disable-llvm
 %if 0%{?suse_version} = 1010
-BuildRequires:  bc pkgconfig zlib-devel
+BuildRequires:  bc
+BuildRequires:  pkgconfig
+BuildRequires:  zlib-devel
 %ifarch %ix86 x86_64
 %define llvm --enable-llvm
 # Needed for compiling LLVM.
@@ -29,17 +33,20 @@
 %endif
 %endif
 %if 0%{?suse_version} = 1030
-BuildRequires:  check-devel libbz2-devel pwdutils python-devel
+BuildRequires:  check-devel
+BuildRequires:  libbz2-devel
+BuildRequires:  pwdutils
+BuildRequires:  python-devel
 %define clamav_check --enable-check
 %else
 BuildRequires:  bzip2
 %define clamav_check --disable-check
 %endif
 Summary:Antivirus Toolkit
-Version:0.97.3
-Release:1
 License:GPL-2.0
 Group:  Productivity/Security
+Version:0.97.4
+Release:0
 Url:http://www.clamav.net
 Requires:   latex2html-pngicons
 Obsoletes:  clamav-db  0.88.3
@@ -95,9 +102,9 @@
 MacOffice files, HTML, RTF and PDF
 
 %package db
+Summary:Virus Database for ClamAV
 License:BSD-3-Clause ; GPL-2.0+ ; LGPL-2.1+ ; SUSE-Public-Domain ; MIT
 Group:  Productivity/Security
-Summary:Virus Database for ClamAV
 PreReq: clamav sed /bin/cp /usr/bin/awk /bin/rm
 %if 0%{?suse_version}  1120
 BuildArch:  noarch

++ clamav-0.97.3.tar.gz - clamav-0.97.4.tar.gz ++
/work/SRC/openSUSE:Factory/clamav/clamav-0.97.3.tar.gz 
/work/SRC/openSUSE:Factory/.clamav.new/clamav-0.97.4.tar.gz differ: char 5, 
line 1

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit fiwalk for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package fiwalk for openSUSE:Factory checked 
in at 2012-03-20 02:05:15

Comparing /work/SRC/openSUSE:Factory/fiwalk (Old)
 and  /work/SRC/openSUSE:Factory/.fiwalk.new (New)


Package is fiwalk, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/fiwalk/fiwalk.changes2012-02-14 
19:00:34.0 +0100
+++ /work/SRC/openSUSE:Factory/.fiwalk.new/fiwalk.changes   2012-03-20 
02:05:16.0 +0100
@@ -1,0 +2,5 @@
+Sat Mar 17 22:37:44 UTC 2012 - dims...@opensuse.org
+
+- Add fiwalk-gcc47.patch: Fix build with gcc 4.7.
+
+---

New:

  fiwalk-gcc47.patch



Other differences:
--
++ fiwalk.spec ++
--- /var/tmp/diff_new_pack.srKSMT/_old  2012-03-20 02:05:17.0 +0100
+++ /var/tmp/diff_new_pack.srKSMT/_new  2012-03-20 02:05:17.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package fiwalk
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,17 +15,23 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   fiwalk
 Version:0.6.15
 Release:0
-License:SUSE-Public-Domain
 Summary:A computer forensic application for walking forensic images
-Url:http://afflib.org/downloads/%name.tar.gz
+License:SUSE-Public-Domain
 Group:  Productivity/File utilities
+Url:http://afflib.org/downloads/%name.tar.gz
 Source: %name.tar.gz
+Patch0: fiwalk-gcc47.patch
+BuildRequires:  afflib-devel
 BuildRequires:  gcc-c++
-BuildRequires:  zlib-devel openssl-devel
-BuildRequires:  libtsk3-3 sleuthkit-devel libewf-devel afflib-devel
+BuildRequires:  libewf-devel
+BuildRequires:  libtsk3-3
+BuildRequires:  openssl-devel
+BuildRequires:  sleuthkit-devel
+BuildRequires:  zlib-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -36,6 +42,7 @@
 
 %prep
 %setup -q 
+%patch0 -p1
 
 %build
 %configure 
@@ -50,4 +57,5 @@
 %_bindir/fiwalk
 %_bindir/jpeg_extract
 %_bindir/test_arff
+
 %changelog

++ fiwalk-gcc47.patch ++
Only in fiwalk-0.6.15/plugins: jpeg_extract
Only in fiwalk-0.6.15/plugins: jpeg_extract.o
Only in fiwalk-0.6.15/src: fiwalk
Only in fiwalk-0.6.15/src: test_arff
Only in fiwalk-0.6.15/src: test_arff.o
diff -upr fiwalk-0.6.15.orig/src/xml.cpp fiwalk-0.6.15/src/xml.cpp
--- fiwalk-0.6.15.orig/src/xml.cpp  2011-05-13 15:51:12.0 +
+++ fiwalk-0.6.15/src/xml.cpp   2012-03-17 22:36:34.472147899 +
@@ -29,6 +29,7 @@ using namespace std;
 #include sys/param.h
 #include assert.h
 #include fcntl.h
+#include unistd.h
 
 
 // Implementation of mkstemp for windows found on pan-devel mailing
Only in fiwalk-0.6.15/src: xml.o
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit sunpinyin for openSUSE:Factory

2012-03-19 Thread h_root
Hello community,

here is the log from the commit of package sunpinyin for openSUSE:Factory 
checked in at 2012-03-20 02:05:27

Comparing /work/SRC/openSUSE:Factory/sunpinyin (Old)
 and  /work/SRC/openSUSE:Factory/.sunpinyin.new (New)


Package is sunpinyin, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/sunpinyin/sunpinyin.changes  2012-02-21 
07:32:40.0 +0100
+++ /work/SRC/openSUSE:Factory/.sunpinyin.new/sunpinyin.changes 2012-03-20 
02:05:28.0 +0100
@@ -1,0 +2,5 @@
+Sat Mar 17 23:29:50 UTC 2012 - zai...@opensuse.org
+
+- Add sunpinyin-gcc47.patch: Fix build with gcc 4.7. 
+
+---

New:

  sunpinyin-gcc47.patch



Other differences:
--
++ sunpinyin.spec ++
--- /var/tmp/diff_new_pack.eu5d2V/_old  2012-03-20 02:05:33.0 +0100
+++ /var/tmp/diff_new_pack.eu5d2V/_new  2012-03-20 02:05:33.0 +0100
@@ -27,6 +27,8 @@
 Source:%{name}-%{version}.tar.bz2
 Source1:   lm_sc.t3g.arpa.tar.bz2
 Source2:   dict.utf8.tar.bz2
+# PATCH-FIX-UPSTREAM sunpinyin-gcc47.patch zai...@opensuse.org -- Fix build 
with gcc 4.7
+Patch0:  sunpinyin-gcc47.patch
 BuildRequires: fdupes
 BuildRequires: update-desktop-files
 BuildRequires: scons
@@ -60,6 +62,7 @@
 
 %prep
 %setup -q
+%patch0
 
 %build
 %{__cp} -r %{S:1} ./raw/

++ sunpinyin-gcc47.patch ++
--- src/lexicon/genPYT.cpp  2012-02-05 17:28:01.0 +0100
+++ src/lexicon/genPYT.cpp  2012-03-17 23:59:12.116605521 +0100
@@ -37,7 +37,7 @@
 
 #include locale.h
 #include stdlib.h
-
+#include unistd.h
 #include pytrie.h
 #include pytrie_gen.h
 #include ../slm/slm.h
 
--- src/ime-core/ic_history.cpp 2012-02-05 17:28:01.0 +0100
+++ src/ime-core/ic_history.cpp 2012-03-18 00:10:24.387297778 +0100
@@ -42,6 +42,7 @@
 #include fcntl.h
 #include stdio.h
 #include stdint.h
+#include unistd.h
 #include cassert
 #include arpa/inet.h
 #include sys/stat.h

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop culmus from openSUSE:Factory

2012-03-19 Thread h_root

Hello community,

FYI: Package culmus was dropped from openSUSE:Factory at Tue Mar 20 02:14:50 
CET 2012.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=culmus

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop KhmerOS-fonts from openSUSE:Factory

2012-03-19 Thread h_root

Hello community,

FYI: Package KhmerOS-fonts was dropped from openSUSE:Factory at Tue Mar 20 
02:15:31 CET 2012.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=KhmerOS-fonts

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org